<?php
if (!function_exists('currency')) {
    function currency($price, $is_discout = false)
    {
        return $is_discout ? symbol() . sprintf('%.2f', $price * oldPriceMul()) : symbol() . $price;
    }
}


function oldPriceMul(): float
{
    return 1.2;
}

function discount()
{
    return '-' . strval((oldPriceMul() - 1) * 100) . '%';
}

function symbol()
{
    return '£';
}

function strName(string $name)
{
    $strArray = [
//        '&' => '-',
        '#' => '_',
        '$' => '_',
        ' ' => '_',
        '%' => '_',
        '/' => '_',
    ];
    return strtolower(strtr($name, $strArray));
}

/**
 * @note 网站信息
 *
 * */
if (!function_exists('infoEmail()')) {
    function infoEmail()
    {
        $data['email'] = 'info@batterypcs.co.uk';
        $data['host'] = 'Batterypcs.co.uk';
        $data['hostupper'] = 'batterypcs.co.uk';
        $data['hostwww'] = 'www.batterypcs.co.uk';
        return (object)$data;
    }
}

function batteryWords()
{
    return 'Replacement Battery';
}

function adapterwords()
{
    return 'Replacement Charger';
}

function handleUrl(string $param): string
{
    return urlencode(urlencode($param));
}

/**
 *
 * 生成paypaljs
 **/
function generateJs(bool $card = false): string
{
    $js = 'https://www.paypal.com/sdk/js?client-id=';
    $clientId = env('PAYPAL_MODE') === 'sandbox' ? env('PAYPAL_SANDBOX_CLIENT_ID') : env('PAYPAL_LIVE_CLIENT_ID');
    $js .= $clientId;
    $currency = "&currency=" . config('paypal.currency');
    $js .= $currency;

    if (!$card) {
        $js .= "&disable-funding=card&vault=true";
    }
    return $js;
}

function sendPaypal($data, $url = 'http://filament.test/test')
{
    $curl = curl_init();
    curl_setopt($curl, CURLOPT_URL, $url);
    curl_setopt($curl, CURLOPT_SSL_VERIFYPEER, FALSE);
    curl_setopt($curl, CURLOPT_SSL_VERIFYHOST, FALSE);
    curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
    curl_setopt($curl, CURLOPT_POSTFIELDS, $data);
    curl_setopt($curl, CURLOPT_FOLLOWLOCATION, 1);
    curl_setopt($curl, CURLOPT_TIMEOUT, 30);
    curl_exec($curl);
    curl_close($curl);
}

if (!function_exists('mysqlSetting')) {
    function mysqlSetting($data): void
    {
        $data = is_array($data) ? (object)$data : $data;
        \Illuminate\Support\Facades\Config::set('database.connections.cart', [
            'driver' => 'mysql',
            'host' => '162.240.59.165',
            'port' => $data->port,
            'database' => $data->database,
            'username' => $data->username,
            'password' => $data->passwd,
        ]);
    }
}

if (!function_exists('getJianArray')) {
    function getJianArray(array $data): array
    {
        $array = [$data['jianjie1'], $data['jianjie2'], $data['rep']];
        $data = [];
        array_map(function ($value) use (&$data) {
            $data = array_merge($data, explode(' ', $value));
        }, $array);
        return array_unique($data);
    }
}

if (!function_exists('rate')) {
    function rate(float $price): float
    {
        return bcmul($price, 1.6026, 2);
    }
}


if (!function_exists('getShipping')) {
    function getShipping($total): int
    {
        if ($total <= 399) {
            $shipping = 0;
        } elseif ($total <= 799) {
            $shipping = 70;
        } elseif ($total <= 1799) {
            $shipping = 90;
        } else {
            $shipping = 100;
        }
        return $shipping;
    }
}
