<?php

namespace App\Http\Controllers;

use App\Models\Cart;
use App\Models\Product;
use Illuminate\Http\Request;

class CartsController extends Controller
{
    /**
     * 购物车首页.
     *
     */
    public function index(Request $request)
    {
        if ($request->ajax() && $request->isMethod('POST')) {
            $userId = $request->post('id');
            $carts = Cart::query()->where('session_id', session()->getId())->where('is_buy', 0)->get();
            $total = 0.00;
            $shipping = 0.00;
            $subtotal = 0.00;
            $count = count($carts);
            foreach ($carts as $cart) {
                $subtotal = bcadd($cart->singletotal, $subtotal, 2);
            }
            $tax = bcmul($subtotal, getenv('PAYPAL_TAX'), 2);
            $total = $subtotal + $tax + $shipping;
            $total = number_format($total, 2, '.', '');
            $data = compact('subtotal', 'total', 'tax', 'count');
            return response()->json([
                'code' => 1,
                'status' => 'success',
                'msg' => '',
                'data' => $data
            ]);
        }
        return view('carts.index');
    }


    /**
     * 产品加入购物车
     *
     */
    public function store(Request $request)
    {
        /**
         * @var int $pid 产品id
         * @var string $jian 产品简介1
         * @var int $qty 数量
         * @var string $userId session_id
         **/

        $pid = $request->pid;
        $jian = $request->jian;
        $qty = $request->qty ?? 1;
        $userId = $request->session()->getId();
        $product = Product::query()->findOrFail($pid);
        if ($request->ajax()) {
            $jian = $product->jianjie1;
        }
        $introduction = getJianArray($product->getRawOriginal());
        //防止用户自己填写jianjie1
        $jian = in_array($jian, $introduction) ? $jian : $product->jianjie1;

        $cart = Cart::query()->where('session_id', $userId)
            ->where('product_id', $pid)->where('is_buy', 0)->first();
        if ($cart) {
            //处理购物车已有产品数量
            $qty = $cart->numbers + $qty;
            $cart->numbers = $qty;
            $cart->singletotal = bcmul($qty, $product->price, 2);
            $cart->save();
        } else {
            Cart::query()->create([
                'session_id' => $userId,
                'product_id' => $pid,
                'jian' => $jian,
                'brand' => $product->cs,
                'numbers' => $qty,
                'baseprice' => $product->price,
                'singletotal' => bcmul($qty, $product->price, 2),
                'ip' => $request->ip()
            ]);
        }

        if ($request->ajax()) {
            return response()->json(['code' => 200, 'status' => 'success', 'msg' => '']);
        } else {
            return redirect()->route('carts.index');
        }

    }

}
