<?php

namespace App\Http\Controllers;

use App\Models\Category;
use Constantine\Admin\Models\Index;
use Illuminate\Support\Facades\Cache;
use App\Models\Service\ProductService;
use Illuminate\Support\Facades\Http;
use \PDO;

class IndexController extends Controller
{
    protected $service;

    public function __construct(ProductService $service)
    {
        $this->service = $service;
    }

    public function index()
    {


        $keywords = Category::query()->where('category', '!=', '')->get()->pluck('category')->toArray();
        $keywords = implode(",", $keywords);
        $data = [];
        $index = Index::query()->with('category')->where('status', 1)->get()->map(function (Index $item) use (&$data) {
            $item->setRelation('products', $item->products()->take($item->limit)->get());
            if (str_contains($item->name, 'top')) {
                $data['top'][$item->name] = $item;
            }

            if (str_contains($item->name, 'mid')) {
                $data['mid'][$item->name] = $item;
            }

            if (str_contains($item->name, 'footer')) {
                $data['footer'][$item->name] = $item;
            }
            return $item;
        })->pluck('products', 'name');
        $hot = $this->service->getHotProducts(12);
        $new = $this->service->getNewProducts(4);
        $data['hot'] = $hot;
        $data['new'] = $new;
        $data['keywords'] = $keywords;
        return view('index.index', $data);
    }
}
