<?php

namespace App\Http\Controllers;

use App\Models\Product;
use App\Models\Search;
use Illuminate\Http\Request;
use Illuminate\Database\Eloquent\Builder;
use Spatie\QueryBuilder\QueryBuilder;
use Meilisearch\Client;

class SearchController extends Controller
{

    public function index()
    {

    }

    public function search(Request $request)
    {
        $search = trim($request->k);
//        $masterKey = "aSampleMasterKey";
//        $client = new Client("127.0.0.1:7700", $masterKey);
//        $index = $client->index('products');
//        $result = $index->search($search);
//        $resultProducts = $result->getHits();
//        $ids = array_column($resultProducts, 'pid');
        $perPage = $request->perPage ?? 24;
        $sort = $request->sort ?? '-date';
        $categoryId = $request->get('category_id');
//        $products = Product::query()->whereIn('pid', $ids)->paginate($perPage);
        $products = Product::query()
            ->when($categoryId, function (Builder $query,$categoryId) {
                return $query->where('category1',$categoryId);
            })
            ->where(function (Builder $query) use ($search) {
            $query->where('jianjie1', 'like', "%$search%")
                ->orWhere('jianjie2', 'like', "%$search%")
                ->orWhere('rep', 'like', "%$search%")
                ->orWhere('comp', 'like', "%$search%")
                ->orWhere('pcode', 'like', "%$search%")
                ->orWhere('okpcode', 'like', "%$search%")
                ->orWhere('dl', 'like', "%$search%")
                ->orWhere('dy', 'like', "%$search%");
        })->paginate($perPage)->appends($request->query());

        return view('search.index', compact('products', 'search', 'perPage', 'sort'));
    }

    /**
     *把用户搜索内容存入数据库增加外链
     *
     * @param string $search 搜索的关键字
     **/
    public function createTag(string $name, $data): void
    {
        $result = Search::query()->where('ip', $data['ip'])
            ->where('name', $name)->first();
        if (!$result) {
            Search::query()->create($data);
        }
    }
}
