<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Collection;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\Cache;

class Cart extends Model
{
    use HasFactory;


    protected $fillable = [
        'session_id', 'numbers', 'jian', 'brand', 'product_id', 'baseprice', 'singletotal', 'ip'
    ];
    protected $casts = [
        'created_at' => 'date:Y-m-d H:i:s',
        'updated_at' => 'date:Y-m-d H:i:s',
    ];

    public function product()
    {
        return $this->hasOne(Product::class, 'pid', 'product_id');
    }

    public function getProductUrlAttribute()
    {
        return route('detail', [$this->product_id, urlencode($this->brand), $this->jian]);
    }

    public function getTitleAttribute()
    {
        return $this->jian . $this->product->jianjie2;
    }

    public static function getCartsItems(string $userId): Collection
    {
        return Cart::query()->with('product')->where('session_id', $userId)->where('is_buy', 0)->get();
    }

}
