<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use App\Models\Product;

/**
 *分类
 * @property  string category 分类英文
 * @property  string category_fr
 * @property  string category_de
 * @property  string category_it
 * @property  string category_pl
 * @property  string category_nl
 * @property  string category_pt
 *
 * **/
class Category extends Model
{
    use HasFactory;

    protected $table = 'category';

    public function getUrlAttribute()
    {
        return route('category.category', [$this->id, urlencode($this->category)]);
    }

    public function cate()
    {
        return $this->hasOne(Product::class, 'category1', 'id');
    }
}
