<?php

namespace App\Utils\Paypal;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\Config;
use App\Models\Paypal as PaypalModel;

class Paypal
{
    protected PaypalService $service;
    protected string $type = '';
    protected ?object $model = null;

    public function __construct()
    {
        $this->model = new PaypalModel();
        if (!$this->type) {
            $this->config();
        }


    }

    public function createOrder(string $userId, string $returnUrl, string $cancelUrl, array $info = [])
    {
        return $this->service->createConfigData($userId, $returnUrl, $cancelUrl, $info);
    }

    public function handleOrder(array $data, string $userId): void
    {

        $this->service->handleResponse($data, $userId);
    }

    public function config(array $config = []): self
    {
        if ($config) {
            $configDefault = Config::get('paypal');
            $config = array_merge($configDefault, $config);
            Config::set('paypal', $config);
        }


        $this->type = $type = Config::get('paypal.type')??'paypal-api';

        switch ($type) {
            case 'paypal-sdk':
                $this->service = new PaypalSdkService($this->model);
                break;
            case 'paypal-api':
                $this->service = new PaypalApiService($this->model);
                break;
        }
        return $this;
    }


}
