<div class="container">
    <div class="row">
        <h2><span class="label label-success" style="color: green">选中的分类首先在首页显示</span></h2>
    </div>
    <div class="row mt-25 mb-50">
        <div class="col-md-12">
            <div class="btn-group category-sort-button" role="group" aria-label="...">
                <button type="button" id="selectAll" class="btn btn-success">全部选中</button>
                <button type="button" id="selectReverse" class="btn btn-warning " style="display: none">全部取消
                    <button type="submit" id="submit" class="btn btn-success">提交</button>
                </button>
            </div>
        </div>

    </div>
    <div class="row mt-25">
        <div class="panel panel-default">
            <div id="items" class="list-group col">
                @foreach($categories as $cate)
                    <div data-id="{{ $cate->id }}"
                         style="width: 400px;height: 50px;text-align: center;border: #0a6aa1 1px solid;color: black;background-color: white">
                        {{ $cate->category }}
                        <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.0-beta1/dist/css/bootstrap.min.css"
                              rel="stylesheet"
                              integrity="sha384-0evHe/X+R7YkIZDRvuzKMRqM+OrBnVFBL6DOitfPri4tjfHxaWutUpFmBp4vmVor"
                              crossorigin="anonymous">
                        <div class="form-check form-switch">
                            <input class="form-check-input" type="checkbox" data-id="{{ $cate->id }}"
                                   name="status[{{ $cate->id }}]" role="switch"
                                   @if(isset($cate->sort->status)&&$cate->sort->status==1) checked @endif
                                   id="flexSwitchCheckChecked">
                            <label class="form-check-label" for="flexSwitchCheckChecked">选中展示</label>
                        </div>
                    </div>
                @endforeach
            </div>
        </div>
    </div>


</div>

<script>
    let selectAll = document.getElementById("selectAll");
    let selectReverse = document.getElementById("selectReverse");
    let submit = document.getElementById('submit');
    var el = document.getElementById('items');
    var sortable = Sortable.create(el);

    function checkOrNot(type) {
        let statusAll = document.querySelectorAll('input[type="checkBox"]');
        for (let i = 0; i < statusAll.length; i++) {
            let status = statusAll[i];
            status.checked = type;
        }
    }

    //全选
    selectAll.addEventListener('click', function () {
        checkOrNot(true);
        selectAll.style.display = 'none';
        selectReverse.style.display = 'block';
    });
    //反选
    selectReverse.addEventListener('click', function () {
        checkOrNot(false);
        selectAll.style.display = 'block';
        selectReverse.style.display = 'none';
    });
    //提交
    submit.addEventListener('click', function () {
        var mySortableList = sortable.toArray();
        let statusAll = document.querySelectorAll('input[type="checkBox"]');
        let status = {};
        for (let i=0;i<statusAll.length;i++){
            let v= statusAll[i];
            let key = v.getAttribute('data-id');
            status[key] = v.checked;
        }

        let data = {};
        data['sort'] = mySortableList;
        data['status'] = status;
        console.log(data)
        $.ajax({
            url:'{{ admin_url('categories-sort') }}',
            method:'post',
            contentType:'application/json',
            data:JSON.stringify({data}),
            success:function (res) {
                layer.msg('成功',{
                    icon:1,
                });
                console.log(res);
            }
        })
        return false;
    })


</script>
