<?php

namespace Constantine\Admin\Actions\Grid;

use Constantine\Admin\Models\Database;
use Dcat\Admin\Actions\Response;
use Dcat\Admin\Grid\Tools\AbstractTool;
use Dcat\Admin\Traits\HasPermissions;
use Illuminate\Contracts\Auth\Authenticatable;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Http\Request;
use Dcat\Admin\Widgets\Form;

class SelectDomain extends Form
{
    /**
     * @return string
     */
    protected $title = '选择网站';

    /**
     * Handle the action request.
     *
     * @param Request $request
     *
     * @return Response
     */
    public function handle(array $input)
    {

        return $this->response()
            ->success('成功!')
            ->redirect(route('c-admin.orders.index',['data-id'=>$input['id']]));
    }

    /**
     * @return string|void
     */
    protected function href()
    {
        // return admin_url('auth/users');
    }

    /**
     * @return string|array|void
     */
    public function form()
    {
        $options = Database::query()->get()->pluck('url','id')->toArray();
        $this->select('id','网站')->options($options)->help('选择网站');
	}

    /**
     * @param Model|Authenticatable|HasPermissions|null $user
     *
     * @return bool
     */
    protected function authorize($user): bool
    {
        return true;
    }

    /**
     * @return array
     */
    protected function parameters()
    {
        return [];
    }
}
