<?php

namespace Constantine\Admin\Chart;

use Constantine\Admin\Chart\Paypal\OrderLineChart;
use Dcat\Admin\Support\LazyRenderable;
use Dcat\Admin\Widgets\Box;
use Dcat\Admin\Widgets\Dropdown;

class LazyOrderLine extends LazyRenderable
{

    public function render()
    {
        $menu = [
            'week' => '最近一周',
            'month' => '最近一个月',
            'year' => '最近一年',
        ];
        $object = $this->payload['object'];
        $connection = $this->payload['connection']??null;
        $dataId = $this->payload['data-id']??null;
        $dropdown = Dropdown::make($menu)
            ->button(current($menu))
            ->click()
            ->map(function ($v, $k) {
                // 此处设置的 data-xxx 属性会作为post数据发送到后端api
                return "<a class='switch-bar' data-option='{$k}'>{$v}</a>";
            });

        $line = $object::make(['dataId'=>$dataId,'connection'=>$connection])->fetching('$("#my-box").loading()') // 设置loading效果
        ->fetched('$("#my-box").loading(false)') // 移除loading效果
        ->click('.switch-bar'); // 设置图表点击菜单则重新发起请求，且被点击的目标元素上的 data-xxx 属性会被作为post数据发送到后端API

        return Box::make('图标2', $line)->id('my-box')
            ->tool($dropdown);
    }
}
