<?php

namespace Constantine\Admin\Http\Actions\Form;

use Dcat\Admin\Actions\Response;
use Dcat\Admin\Form\AbstractTool;
use Dcat\Admin\Traits\HasPermissions;
use Dcat\Admin\Widgets\Form;
use Illuminate\Contracts\Auth\Authenticatable;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Config;
use phpDocumentor\Reflection\Types\Float_;

class BannerSetting extends Form
{
    /**
     * @return string
     */
    protected $title = 'Title';


    public function handle(array $input)
    {
        // dump($this->getKey());

        $configs = Config::get('banner');
        $data = array_intersect_key($configs, $input);
        $key = array_keys($data);
        $res = array_filter($input, fn($v, $k) => array_key_exists($k, $data), ARRAY_FILTER_USE_BOTH);
        Config::set('banner', $res);
        $fp = fopen(base_path() . '/config/banner.php', 'w');
        fwrite($fp, '<?php return ' . var_export(config('banner'), true) . ';');
        fclose($fp);
        return $this->response()
            ->success('成功.')
            ->redirect(route('banners.index'));
    }

    /**
     * @return string|void
     */
    protected function href()
    {
        // return admin_url('auth/users');
    }

    public function form()
    {
        $configs = Config::get('banner');
        foreach ($configs as $k => $config) {
            if ($k === 'enable') {
                $this->switch($k)
                    ->customFormat(fn($v) => $v ? 1 : 0)->saving(fn($v) => $v == 1)->help('启用数据库轮播图');
            } else {
                $this->text($k)->default($config);
            }

        }
    }

    /**
     * @param Model|Authenticatable|HasPermissions|null $user
     *
     * @return bool
     */
    protected function authorize($user): bool
    {
        return true;
    }

    /**
     * @return array
     */
    public function default()
    {
        $configs = Config::get('banner');
        return $configs;
    }
}
