<?php

namespace Constantine\Admin\Http\Controllers;

use App\Models\Category;
use Dcat\Admin\Form;
use Dcat\Admin\Grid;
use Dcat\Admin\Http\Controllers\AdminController;
use Dcat\Admin\Show;

class CategoryController extends AdminController
{
    /**
     * Make a grid builder.
     *
     * @return Grid
     */
    protected function grid()
    {
        return Grid::make(new Category(), function (Grid $grid) {
            $grid->column('id')->sortable();
            $grid->column('category');
            $grid->column('category_fr');
            $grid->column('category_de');
            $grid->column('category_nl');
            $grid->column('category_jp');
            $grid->column('category_es');
            $grid->column('seo');
            $grid->column('route');
            $grid->column('category_pl');
            $grid->column('category_pt');
            $grid->column('category_it');

            $grid->filter(function (Grid\Filter $filter) {
                $filter->equal('id');

            });
        });
    }

    /**
     * Make a show builder.
     *
     * @param mixed $id
     *
     * @return Show
     */
    protected function detail($id)
    {
        return Show::make($id, new Category(), function (Show $show) {
            $show->field('id');
            $show->field('category');
            $show->field('category_fr');
            $show->field('category_de');
            $show->field('category_nl');
            $show->field('category_jp');
            $show->field('category_es');
            $show->field('seo');
            $show->field('route');
            $show->field('category_pl');
            $show->field('category_pt');
            $show->field('category_it');
        });
    }

    /**
     * Make a form builder.
     *
     * @return Form
     */
    protected function form()
    {
        return Form::make(new Category(), function (Form $form) {
            $form->display('id');
            $form->text('category');
            $form->text('category_fr');
            $form->text('category_de');
            $form->text('category_nl');
            $form->text('category_jp');
            $form->text('category_es');
            $form->text('seo');
            $form->text('route');
            $form->text('category_pl');
            $form->text('category_pt');
            $form->text('category_it');
        });
    }
}
