<?php

namespace Constantine\Admin\Http\Renderable;


use App\Models\Product;
use Dcat\Admin\Grid;
use Dcat\Admin\Grid\LazyRenderable;

class ProductRenderable extends LazyRenderable
{
    public function grid(): Grid
    {
        return Grid::make(new Product(),function (Grid  $grid){
            $grid->model()->orderBy('pid','desc');
            $grid->quickSearch(['pcode', 'jianjie1', 'okpcode', 'jianjie2'])->placeholder('搜索...');
            $grid->column('pcode');
            $grid->column('jianjie1');
            $grid->column('jianjie2');
            $grid->column('url')->display(function (  ){
               return route('detail',[strName($this->cs),$this->jianjie1,$this->category,$this->pcode]);
            });
            $grid->disableCreateButton();
            $grid->actions(function (Grid\Displayers\Actions $action) {
                $action->disableDelete();
                $action->disableEdit();
                $action->disableView();
            });
        });
    }
}
