@extends('layouts.app')
@section('seo')
<title>{{ $brand }} {{ $category->category }} OEM Wholesale Supplier</title>
    <meta property="og:title" content="{{ $brand }} {{ $category->category }} OEM Wholesale Supplier" />
    <meta name="description" content="Shop for {{ $brand }} Replace {{ $category->category }} at {{infoEmail()->host}}. {{ $brand }} {{ $category->category }} with warranty, shop online. Fast shipping and returns from {{infoEmail()->host}}.">
    <meta property="og:description" content="Shop for {{ $brand }} Replace {{ $category->category }} at {{infoEmail()->host}}. {{ $brand }} {{ $category->category }} with warranty, shop online. Fast shipping and returns from {{infoEmail()->host}}." />
@if(preg_match('/battery/i',$category->category))
    <meta name="keywords" content="{{ $brand }} battery,{{ $brand }} batteries, {{ $brand }} {{ $category->category }}, replacement {{ $brand }} battery, batteries for {{ $brand }},{{ $brand }} batteries uk.">
@else
    <meta name="keywords" content="{{ $brand }} Adapter,{{ $brand }} Adapters, {{ $brand }} {{ $category->category }}, replacement {{ $brand }} Charger, Chargers for {{ $brand }},{{ $brand }} Chargers uk.">
@endif
    <meta property="og:locale" content="en_GB" />
    <meta property="og:type" content="website" />
    <meta property="og:site_name" content="{{infoEmail()->host}}" />
    <meta itemprop="copyrightHolder" content="{{infoEmail()->host}}" />
    <meta name="author" content="{{infoEmail()->host}}" />
@stop
@section('content')

    <!-- Breadcrumb Start -->
    <div class="container-fluid">
        <div class="row px-xl-5">
            <div class="col-12">
                <nav class="breadcrumb bg-light mb-30">
                    <a class="breadcrumb-item text-dark" href="{{ route('/') }}">Home</a>
                    <a class="breadcrumb-item text-dark" href="{{ route('category.category',[$category->id,strName($category->category)]) }}">{{ $category->category }}</a>
                    <span class="breadcrumb-item active">{{ $brand }}</span>
                </nav>
            </div>
        </div>
    </div>
    <!-- Breadcrumb End -->


    <!-- Shop Start -->
    <div class="container-fluid">
        <div class="row px-xl-5">
            <!-- Shop Sidebar Start -->
           @include('categories.__left')
            <!-- Shop Sidebar End -->


            <!-- Shop Product Start -->
            <div class="col-lg-9 col-md-8">
            <h1 style="font-size: 1.5rem;">Shop & Replace {{ $brand }} {{ $category->category }}</h1>
                <div class="row pb-3">
                    @foreach($products as $val)
                        <div class="col-lg-4 col-md-6 col-sm-6 pb-1">
                            <div class="product-item bg-light mb-4">
                                <div class="product-img position-relative overflow-hidden">
                                    <a href="{{ $val->url }}">
                                        <img class="img-fluid w-100" src="{{ $val->okpcode }}" alt="{{ $val->cs }} {{ $val->jianjie1 }}" style="min-height: 302px;">

                                    </a>
                                </div>
                                <div class="text-center py-4 overflow-hidden">
                                    
                                    @if($val->category=='battery')
                                    <a class="h6 text-decoration-none text-truncate" href="{{ $val->url }}" style="display: block;min-height:67px;">
                                    {{ $val->jianjie1 }} Compatible Battery For {{ $val->jianjie2 }}
                                    </a>
                                    <p style="color: #a2bbc0;font-size:14px;">{{ $val->dl }} - {{ $val->dy }} - {{ $val->type }}</p>
                                    @else
                                    <a class="h6 text-decoration-none text-truncate" href="{{ $val->url }}" style="display: block;min-height:67px;">
                                    {{ $val->bzq }} {{ $val->jianjie1 }} adapter {{ $val->jianjie2 }} - 1yr warranty
                                    </a>
                                    <p style="color: #a2bbc0;font-size:14px;">{{ $val->bzq }} - Brand New</p>
                                    @endif
                                    <div class="d-flex align-items-center justify-content-center mt-2">
                                        <h5>{{ $val->price_symbol }}</h5><h6 class="text-muted ml-2"><del>{{ $val->price_old }}</del></h6>
                                    </div>
                                    <div class="d-flex align-items-center justify-content-center mb-1">
                                        <small class="fa fa-star text-primary mr-1"></small>
                                        <small class="fa fa-star text-primary mr-1"></small>
                                        <small class="fa fa-star text-primary mr-1"></small>
                                        <small class="fa fa-star text-primary mr-1"></small>
                                        <small class="fa fa-star text-primary mr-1"></small>
                                    </div>
                                </div>
                            </div>
                        </div>
                    @endforeach
                    <div class="col-12">
                       {{ $products->links() }}
                    </div>
                </div>
            </div>
            <!-- Shop Product End -->
        </div>
    </div>
    <!-- Shop End -->

@stop
