@extends('layouts.app')
@section('seo')
<title>{{ $category->category }} at Best Price in UK | {{infoEmail()->host}}</title>
    <meta name="keywords" content="{{ $category->category }},uk {{ $category->category }},{{infoEmail()->host}}.">
    <meta name="description" content="When your {{ $category->category }} dies, you need a replacement fast. Find the best {{ $category->category }} from {{infoEmail()->host}}. Get your {{ $category->category }} shipped fast!">
    <meta property="og:title" content="{{ $category->category }} at Best Price in UK | {{infoEmail()->host}}" />
    <meta property="og:description" content="When your {{ $category->category }} dies, you need a replacement fast. Find the best {{ $category->category }} from {{infoEmail()->host}}. Get your {{ $category->category }} shipped fast!" />
    <meta property="og:url" content="{{ route('category.category',[$category->id,strName($category->category)]) }}"/>
    <meta property="og:locale" content="en_GB" />
    <meta property="og:type" content="website" />
    <meta property="og:site_name" content="{{infoEmail()->host}}" />
    <meta itemprop="copyrightHolder" content="{{infoEmail()->host}}" />
    <meta name="author" content="{{infoEmail()->host}}" />
@stop
@section('content')

    <!-- Breadcrumb Start -->
    <div class="container-fluid">
        <div class="row px-xl-5">
            <div class="col-12">
                <nav class="breadcrumb bg-light mb-30">
                    <a class="breadcrumb-item text-dark" href="{{ route('/') }}">Home</a>
                    <span class="breadcrumb-item active">{{ $category->category }}</span>
                </nav>
            </div>
        </div>
    </div>
    <!-- Breadcrumb End -->


    <!-- Shop Start -->
    <div class="container-fluid">
        <div class="row px-xl-5">
            <!-- Shop Sidebar Start -->
            @include('categories.__left')
            <!-- Shop Sidebar End -->


            <!-- Shop Product Start -->
            <div class="col-lg-9 col-md-8">
                <h1 style="font-size: 1.5rem;">{{ $category->category }} | Select Brands</h1>
                <p><hr></p>
                <div class="row pb-3">
                    @foreach($brands as $b)
                        <div class="col-lg-3 col-md-6 col-sm-6 pb-1" style="margin:25px 0;">
                            <a class="h6 text-truncate" style="text-decoration: underline;" href="{{ route('category.brand',[urlencode($b->cs),$b->category1,strName($category->category)]) }}">{{ $b->cs }}</a>
                        </div>
                    @endforeach

                </div>
            </div>
            <!-- Shop Product End -->
        </div>
    </div>
    <!-- Shop End -->

@stop
