@extends('layouts.app')
@section('seo')
<title>Top selling items | {{infoEmail()->host}}</title>
    <meta property="og:locale" content="en_GB" />
    <meta property="og:type" content="website" />
    <meta property="og:site_name" content="{{infoEmail()->host}}" />
    <meta itemprop="copyrightHolder" content="{{infoEmail()->host}}" />
    <meta name="author" content="{{infoEmail()->host}}" />
@stop
@section('content')

    <!-- Breadcrumb Start -->
    <div class="container-fluid">
        <div class="row px-xl-5">
            <div class="col-12">
                <nav class="breadcrumb bg-light mb-30">
                    <a class="breadcrumb-item text-dark" href="/">Home</a>
                    <span class="breadcrumb-item active">Top selling items</span>
                </nav>
            </div>
        </div>
    </div>
    <!-- Breadcrumb End -->


    <!-- Shop Start -->
    <div class="container-fluid">
        <div class="row px-xl-5">
            <!-- Shop Sidebar Start -->
           @include('categories.__left')
            <!-- Shop Sidebar End -->


            <!-- Shop Product Start -->
            <div class="col-lg-9 col-md-8">
                <div class="row pb-3">
                <h1 style="font-size: 1.5rem;width:100%;">Check our bestsellers</h1>
                    @foreach($products as $val)
                        <div class="col-lg-4 col-md-6 col-sm-6 pb-1">
                            <div class="product-item bg-light mb-4">
                                <div class="product-img position-relative overflow-hidden">
                                    <img class="img-fluid w-100" src="{{ $val->okpcode }}" alt="{{ $val->category }} for {{ $val->jianjie2 }},{{ $val->jianjie1 }}">
                                </div>
                                <div class="text-center py-4 overflow-hidden">
                                    <a class="h6 text-decoration-none text-truncate" href="{{ $val->url }}">
                                    {{ ucfirst($val->category) }} for {{ $val->jianjie2 }},{{ $val->jianjie1 }}
                                    </a>
                                    <div class="d-flex align-items-center justify-content-center mt-2">
                                        <h5>{{ $val->price_symbol }}</h5><h6 class="text-muted ml-2"><del>{{ $val->price_old }}</del></h6>
                                    </div>
                                    <div class="d-flex align-items-center justify-content-center mb-1">
                                        <small class="fa fa-star text-primary mr-1"></small>
                                        <small class="fa fa-star text-primary mr-1"></small>
                                        <small class="fa fa-star text-primary mr-1"></small>
                                        <small class="fa fa-star text-primary mr-1"></small>
                                        <small class="fa fa-star text-primary mr-1"></small>
                                    </div>
                                </div>
                            </div>
                        </div>
                    @endforeach
                    <div class="col-12">
                       {{ $products->links() }}
                    </div>
                </div>
            </div>
            <!-- Shop Product End -->
        </div>
    </div>
    <!-- Shop End -->

@stop
