@extends('layouts.app')
@section('seo')
<title>Batteries & Chargers | {{infoEmail()->host}} UK</title>
    <meta name="keywords" content="{!! $keywords !!}">
    <meta name="description" content="Browse the great range of batteries & chargers at {{infoEmail()->host}} in UK.Low prices, big inventory, expert advice. Find your battery here!100% Secure Payment, Fast Same Day Shipping, 30 Days Money Return and Warranty for 12 Months...">
    <meta property="og:title" content="Batteries & Chargers | {{infoEmail()->host}} UK" />
    <meta property="og:description" content="Browse the great range of batteries & chargers at {{infoEmail()->host}} in UK.Low prices, big inventory, expert advice. Find your battery here!100% Secure Payment, Fast Same Day Shipping, 30 Days Money Return and Warranty for 12 Months..." />
    <meta property="og:locale" content="en_GB" />
    <meta property="og:type" content="website" />
    <meta property="og:image" content="/themes/images/logo.png" />
    <meta property="og:site_name" content="{{infoEmail()->host}}" />
    <meta itemprop="copyrightHolder" content="{{infoEmail()->host}}" />
    <meta name="author" content="{{infoEmail()->host}}" />
@stop
@section('content')
    <!-- Carousel Start -->
    <div class="container-fluid mb-3">
        <div class="row px-xl-5">
            <div class="col-lg-8">
                <div id="header-carousel" class="carousel slide carousel-fade mb-30 mb-lg-0" data-ride="carousel">
                    <ol class="carousel-indicators">
                        <li data-target="#header-carousel" data-slide-to="0" class="active"></li>
                        <li data-target="#header-carousel" data-slide-to="1"></li>
                        <li data-target="#header-carousel" data-slide-to="2"></li>
                    </ol>
                    <div class="carousel-inner">
                        <div class="carousel-item position-relative active" style="height: 430px;">
                            <img class="position-absolute w-100 h-100" src="/img/carousel-3.jpg" style="object-fit: cover;">
                            <div class="carousel-caption d-flex flex-column align-items-center justify-content-center">
                                <div class="p-3" style="max-width: 700px;">
                                    <h3 class="display-4 text-white mb-3 animate__animated animate__fadeInDown">Vacuum Batteries</h3>
                                    <p class="mx-md-5 px-5 animate__animated animate__bounceIn">Battery LG EAC63758601 is a high-quality replacement for your original battery, which meets all technical requirements for reliability and security.</p>
                                    <a class="btn btn-outline-light py-2 px-4 mt-3 animate__animated animate__fadeInUp" href="/item-lg-EAC63758601-battery-model-LGG20DE1037_Oth">Shop Now</a>
                                </div>
                            </div>
                        </div>
                        <div class="carousel-item position-relative" style="height: 430px;">
                            <img class="position-absolute w-100 h-100" src="img/carousel-2.jpg" style="object-fit: cover;">
                            <div class="carousel-caption d-flex flex-column align-items-center justify-content-center">
                                <div class="p-3" style="max-width: 700px;">
                                    <h3 class="display-4 text-white mb-3 animate__animated animate__fadeInDown">Cell Phone Batteries</h3>
                                    <p class="mx-md-5 px-5 animate__animated animate__bounceIn">Battery CONQUEST GC-536178 is a high-quality replacement for your original battery, which meets all technical requirements for reliability and security.</p>
                                    <a class="btn btn-outline-light py-2 px-4 mt-3 animate__animated animate__fadeInUp" href="#">Shop Now</a>
                                </div>
                            </div>
                        </div>
                        <div class="carousel-item position-relative" style="height: 430px;">
                            <img class="position-absolute w-100 h-100" src="img/carousel-1.jpg" style="object-fit: cover;">
                            <div class="carousel-caption d-flex flex-column align-items-center justify-content-center">
                                <div class="p-3" style="max-width: 700px;">
                                    <h3 class="display-4 text-white mb-3 animate__animated animate__fadeInDown">Power Tool Batteries</h3>
                                    <p class="mx-md-5 px-5 animate__animated animate__bounceIn">Battery RYOBI PBP005 is a high-quality replacement for your original battery, which meets all technical requirements for reliability and security.</p>
                                    <a class="btn btn-outline-light py-2 px-4 mt-3 animate__animated animate__fadeInUp" href="#">Shop Now</a>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-lg-4">
            <div class="product-offer mb-30" style="height: 200px;">
                    <img class="img-fluid" src="/img/offer-2.jpg" alt="PARROT 2 3100MAH">
                    <div class="offer-text">
                        <h6 class="text-white text-uppercase">Save 30%</h6>
                        <h3 class="text-white mb-3">PARROT 2 3100MAH</h3>
                        <a href="#" class="btn btn-primary">Shop Now</a>
                    </div>
                </div>
                <div class="product-offer mb-30" style="height: 200px;">
                    <img class="img-fluid" src="/img/offer-1.jpg" alt="BOSE 063404">
                    <div class="offer-text">
                        <h6 class="text-white text-uppercase">Save 30%</h6>
                        <h3 class="text-white mb-3">BOSE 063404</h3>
                        <a href="/item-bose-063404-battery-model-ECN103093404_Spe_Oth" class="btn btn-primary">Shop Now</a>
                    </div>
                </div>

            </div>
        </div>
    </div>
    <!-- Carousel End -->


    <!-- Featured Start -->
    <div class="container-fluid pt-5">
        <div class="row px-xl-5 pb-3">
            <div class="col-lg-3 col-md-6 col-sm-12 pb-1">
                <div class="d-flex align-items-center bg-light mb-4" style="padding: 30px;">
                    <h3 class="fa fa-check text-primary m-0 mr-3"></h3>
                    <h5 class="font-weight-semi-bold m-0">BATTERY EXPERTS</h5>
                </div>
            </div>
            <div class="col-lg-3 col-md-6 col-sm-12 pb-1">
                <div class="d-flex align-items-center bg-light mb-4" style="padding: 30px;">
                    <h3 class="fa fa-shipping-fast text-primary m-0 mr-2"></h3>
                    <h5 class="font-weight-semi-bold m-0">FREE SHIPPING</h5>
                </div>
            </div>
            <div class="col-lg-3 col-md-6 col-sm-12 pb-1">
                <div class="d-flex align-items-center bg-light mb-4" style="padding: 30px;">
                    <h3 class="fas fa-exchange-alt text-primary m-0 mr-3"></h3>
                    <h5 class="font-weight-semi-bold m-0">30-DAY MONEY BACK</h5>
                </div>
            </div>
            <div class="col-lg-3 col-md-6 col-sm-12 pb-1">
                <div class="d-flex align-items-center bg-light mb-4" style="padding: 30px;">
                    <h3 class="fa fa-phone-volume text-primary m-0 mr-3"></h3>
                    <h5 class="font-weight-semi-bold m-0">LOW PRICE GUARANTEE</h5>
                </div>
            </div>
        </div>
    </div>
    <!-- Featured End -->


    <!-- Categories Start -->
    <div class="container-fluid pt-5">
        <h2 class="section-title position-relative text-uppercase mx-xl-5 mb-4"><span class="bg-secondary pr-3">Some of this month's best sellers</span></h2>
        <div class="row px-xl-5 pb-3">
            @foreach($hot as $val)
            <div class="col-lg-3 col-md-4 col-sm-6 pb-1">
                <a class="text-decoration-none" href="{{ $val->product->url }}">
                    <div class="cat-item img-zoom d-flex align-items-center mb-4">
                        <div class="overflow-hidden" style="width:110px;height:110px;">
                            <img class="img-fluid" src="{{ $val->okpcode }}" alt="{{ $val->product->cs }} {{ $val->product->jianjie1 }}">
                        </div>
                        <div class="flex-fill pl-3">
                            <h6>
                                @if($val->product->category=='battery')
                                {{ $val->product->cs }} {{ $val->product->jianjie1 }} Replacement Battery
                                @else
                                {{ $val->product->cs }} {{ $val->product->jianjie1 }} Replacement Charger
                                @endif
                            </h6>
                            <small style="color:#6cad06;">{{ $val->product->dl }} - {{ $val->product->dy }}</small>
                        </div>
                    </div>
                </a>
            </div>
            @endforeach
        </div>
    </div>
    <!-- Categories End -->


    <!-- Products Start -->
    <div class="container-fluid pt-5 pb-3">
        <h2 class="section-title position-relative text-uppercase mx-xl-5 mb-4"><span class="bg-secondary pr-3">{{ $top['top_1']->category->category }}</span></h2>
        <div class="row px-xl-5">
            @foreach($top['top_1']->products as $val)
            <div class="col-lg-3 col-md-4 col-sm-6 pb-1">
                <div class="product-item bg-light mb-4">
                    <div class="product-img position-relative overflow-hidden">
                        <a href="{{ $val->url }}">
                        <img class="img-fluid w-100" src="{{ $val->okpcode }}" alt="Replacement Laptop Battery for {{ $val->jianjie2 }}">
                        </a>
                    </div>
                    <div class="text-center py-4">
                        <a class="h6 text-decoration-none text-truncate" href="{{ $val->url }}">Replacement Laptop Battery for {{ $val->jianjie2 }}</a>
                        <div class="d-flex align-items-center justify-content-center mt-2">
                            <h5>{{ $val->price_symbol }}</h5><h6 class="text-muted ml-2"><del>{{ $val->price_old }}</del></h6>
                        </div>
                        <div class="d-flex align-items-center justify-content-center mb-1">
                            <small class="fa fa-star text-primary mr-1"></small>
                            <small class="fa fa-star text-primary mr-1"></small>
                            <small class="fa fa-star text-primary mr-1"></small>
                            <small class="fa fa-star text-primary mr-1"></small>
                            <small class="fa fa-star text-primary mr-1"></small>
                        </div>
                    </div>
                </div>
            </div>
            @endforeach
        </div>
    </div>
    <!-- Products End -->


    <!-- Offer Start -->
    <div class="container-fluid pt-5 pb-3">
        <div class="row px-xl-5">
            <div class="col-md-6">
                <div class="product-offer mb-30" style="height: 300px;">
                    <img class="img-fluid" src="img/offer-3.jpg" alt="LOGITECH G502 HERO">
                    <div class="offer-text">
                        <h6 class="text-white text-uppercase">Recommended For You</h6>
                        <h3 class="text-white mb-3">LOGITECH G502 HERO</h3>
                        <a href="" class="btn btn-primary">Shop Now</a>
                    </div>
                </div>
            </div>
            <div class="col-md-6">
                <div class="product-offer mb-30" style="height: 300px;">
                    <img class="img-fluid" src="img/offer-4.jpg" alt="APPLE WATCH ULTRA 49MM S8">
                    <div class="offer-text">
                        <h6 class="text-white text-uppercase">Recommended For You</h6>
                        <h3 class="text-white mb-3">APPLE WATCH ULTRA 49MM S8</h3>
                        <a href="" class="btn btn-primary">Shop Now</a>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- Offer End -->


    <!-- Products Start -->
    <div class="container-fluid pt-5 pb-3">
        <h2 class="section-title position-relative text-uppercase mx-xl-5 mb-4"><span class="bg-secondary pr-3">{{ $mid['mid_1']->category->category }}</span></h2>
        <div class="row px-xl-5">
            @foreach($mid['mid_1']->products as $val)
                <div class="col-lg-3 col-md-4 col-sm-6 pb-1">
                    <div class="product-item bg-light mb-4">
                        <div class="product-img position-relative overflow-hidden">
                            <a href="{{ $val->url }}">
                            <img class="img-fluid w-100" src="{{ $val->okpcode }}" alt="{{ $val->jianjie2 }} Battery {{ $val->dl }} {{ $val->dy }}">
                            </a>
                        </div>
                        <div class="text-center py-4">
                            <a class="h6 text-decoration-none text-truncate" href="{{ $val->url }}">{{ $val->jianjie2 }} Battery {{ $val->dl }} {{ $val->dy }}</a>
                            <div class="d-flex align-items-center justify-content-center mt-2">
                                <h5>{{ $val->price_symbol }}</h5><h6 class="text-muted ml-2"><del>{{ $val->price_old }}</del></h6>
                            </div>
                            <div class="d-flex align-items-center justify-content-center mb-1">
                                <small class="fa fa-star text-primary mr-1"></small>
                                <small class="fa fa-star text-primary mr-1"></small>
                                <small class="fa fa-star text-primary mr-1"></small>
                                <small class="fa fa-star text-primary mr-1"></small>
                                <small class="fa fa-star text-primary mr-1"></small>
                            </div>
                        </div>
                    </div>
                </div>
            @endforeach
        </div>
    </div>
    <!-- Products End -->


    <!-- Products Start -->
    <div class="container-fluid pt-5 pb-3">
        <h2 class="section-title position-relative text-uppercase mx-xl-5 mb-4"><span class="bg-secondary pr-3">{{ $footer['footer_1']->category->category }}</span></h2>
        <div class="row px-xl-5">
            @foreach($footer['footer_1']->products as $val)
                <div class="col-lg-3 col-md-4 col-sm-6 pb-1">
                    <div class="product-item bg-light mb-4">
                        <div class="product-img position-relative overflow-hidden">
                            <a href="{{ $val->url }}">
                            <img class="img-fluid w-100" src="{{ $val->okpcode }}" alt="{{ $val->jianjie1 }} Replacement Laptop Charger for {{ $val->jianjie2 }}">
                            </a>
                        </div>
                        <div class="text-center py-4">
                            <a class="h6 text-decoration-none text-truncate" href="{{ $val->url }}">{{ $val->jianjie1 }} Replacement Laptop Charger for {{ $val->jianjie2 }}</a>
                            <div class="d-flex align-items-center justify-content-center mt-2">
                                <h5>{{ $val->price_symbol }}</h5><h6 class="text-muted ml-2"><del>{{ $val->price_old }}</del></h6>
                            </div>
                            <div class="d-flex align-items-center justify-content-center mb-1">
                                <small class="fa fa-star text-primary mr-1"></small>
                                <small class="fa fa-star text-primary mr-1"></small>
                                <small class="fa fa-star text-primary mr-1"></small>
                                <small class="fa fa-star text-primary mr-1"></small>
                                <small class="fa fa-star text-primary mr-1"></small>
                            </div>
                        </div>
                    </div>
                </div>
            @endforeach
        </div>
    </div>
    <!-- Products End -->

    <!-- Vendor Start -->
    <div class="container-fluid py-5">
        <div class="row px-xl-5">
            <div class="col">
                <div class="owl-carousel vendor-carousel">
                    <div class="bg-light p-4">
                        <img src="/img/xiaomi.png" alt="Xiaomi">
                    </div>
                    <div class="bg-light p-4">
                        <img src="/img/huawei.png" alt="Huawei">
                    </div>
                    <div class="bg-light p-4">
                        <img src="/img/hp.png" alt="HP">
                    </div>
                    <div class="bg-light p-4">
                        <img src="/img/garmin.png" alt="garmin">
                    </div>
                    <div class="bg-light p-4">
                        <img src="/img/canon.png" alt="Canon">
                    </div>
                    <div class="bg-light p-4">
                        <img src="/img/apple.png" alt="Apple">
                    </div>
                    <div class="bg-light p-4">
                        <img src="/img/dell.png" alt="dell">
                    </div>
                    <div class="bg-light p-4">
                        <img src="/img/jvc.png" alt="JVC">
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="container-fluid py-5">
        <div class="row px-xl-5">
            <h1 style="font-size: 1.6rem;">BATTERIES & CHARGERS FOR EVERYTHING!</h1>

            <p>
            Through our strong relationships with the highest quality battery manufacturers in the world today, our unmatched dedication to total customer service and satisfaction, and through extremely competitive pricing, we will meet and exceed our customers expectations on service, quality, and pricing. We have all the replacement batteries and batteries for sale you need, including the toughest ones to find.
            </p>
            <p>
            We have a massive online selection of batteries, chargers, and accessories.
            </p>
            <p>
            Thanks to our no-hassle returns and 30-day guarantee, customers have trusted {{infoEmail()->host}} as their battery store since 2005. We hope you will, too.
            </p>
            <p>
            Trust-building. Free shipping. Money back guarantee. Buy securely online with no minimum order.
            </p>
            <p>
            All your batteries orders are trackable, and our customer service department can be reached by email during normal working hours.
            </p>
      </div>
    </div>
    <!-- Vendor End -->
@stop
