<div class="navbar-nav ml-auto py-0 d-none d-lg-block" x-data="{ open:false}">

    <a href="javascript:;" @click="open =true" class="btn px-0 ml-3">
        <i class="fas fa-shopping-cart text-primary"></i>
        <span class="badge text-secondary border border-secondary rounded-circle"
              style="padding-bottom: 2px;">{{ $count }}</span>
    </a>
    <div x-show.important="open" @click.outside="open=false" x-transition.opacity class="offcanvas" style="display: none">
        <div class="card w-100" style="width: 18rem;">
            <div class="card-header">
                <div class="d-flex flex-nowrap flex-row justify-content-between">
                    <h3>SHOPPING CART</h3>
                    <span @click="open=false" class="btn btn-sm"><i class="fa fa-times"></i></span>
                </div>
            </div>
            <div class="card-body">
                <ul class="list-group mb-2">
                    @foreach($carts as $cart)
                        <li class="d-flex justify-content-between align-items-center border-bottom t-pt-10 t-pb-10">
                            <div class="row align-items-center">
                                <div class="col-4">
                                    <a href="{{ $cart->product->url }}"
                                       class="t-link">
                                        <img src="{{ $cart->product->okpcode }}" alt="{{ $cart->product->cs }} {{ $cart->product->jianjie1 }}"
                                             class="img-fluid">
                                    </a>
                                </div>
                                <div class="col-8">
                                    <p class="mb-0 font-weight-normal">
                                        <a href="{{ $cart->product->url }}"
                                           class="t-link--primary" style="color: #888;">
                                            <span class="d-block">
                                            @if($cart->product->category=='battery')
                                            Battery Replacement {{ $cart->product->jianjie1 }} for {{ $cart->product->jianjie2 }}<br>
                                            @else
                                            Adapter Replacement {{ $cart->product->jianjie1 }} for {{ $cart->product->jianjie2 }}<br>
                                            @endif
                                            </span>
                                        </a>
                                    </p>
                                    <p style="color: red;">{{ $cart->product->price_symbol }} * {{ $cart->numbers }}</p>
                                </div>
                            </div>
                        </li>
                    @endforeach

                </ul>
                <div class="d-flex justify-content-between t-pb-15 t-pt-15">
                    <h6 class="p-2">Subtotal</h6>
                    <h6 class="p-2">{{ $subtotal }} {{ symbol() }}</h6>
                </div>
                <div class="d-flex justify-content-between t-pb-15 t-pt-15">
                    <h6 class="p-2">Shipping costs</h6>
                    <h6 class="p-2">{{ $shipping }} {{ symbol() }}</h6>
                </div>
                <div class="d-flex justify-content-between t-pb-15 t-pt-15">
                    <h6 class="p-2">Total</h6>
                    <h6 class="p-2">{{ $total }} {{ symbol() }}</h6>
                </div>
                <div class="d-flex justify-content-between t-pb-15 t-pt-15">
                    <button  class="btn btn-success" onclick="location.href='{{ route('carts.index') }}'" >View and Edit Cart</button>
                </div>
            </div>
        </div>
    </div>
</div>
