<a id="paypal-button-container"></a>
@section('js')
    <script src="{{ asset('vendor/dcat-admin/dcat/plugins/extensions/sweetalert2.all.min.js') }}"></script>
    <script src="{{ generateJs() }}"></script>
    <script>

        function payment() {
            const token = document.querySelector('meta[name="csrf-token"]').content;
            paypal.Buttons({
                style: {
                    layout: 'horizontal',
                    color: 'gold',
                    shape: 'rect',
                    label: 'paypal',
                    tagline: false,
                    height: 55
                }, createOrder: function (data, actions) {
                    return fetch('{{ route('paypal.api.create-order') }}', {
                        method: 'POST',
                        headers: {
                            'X-CSRF-TOKEN': token
                        }
                    }).then((response) => response.json()).then((order) => order.id);
                },onApprove: (data, actions) => {
                    return fetch(`/orders/${data.orderID}/capture`, {
                        method: "post",
                        headers: {
                            'X-CSRF-TOKEN': token
                        }
                    })
                        .then((response) => response.json())
                        .then((orderData) => {
                            // Successful capture! For dev/demo purposes:
                            console.log('Capture result', orderData, JSON.stringify(orderData, null, 2));
                            const transaction = orderData.purchase_units[0].payments.captures[0];
                            Swal.fire({
                                title: 'pay success!',
                                text: 'you pay success',
                                icon: 'success',
                                confirmButtonText: 'Yes',
                            }).then((result) => {
                                if (result.isConfirmed){
                                    window.location.href='{{ route('/') }}';
                                }
                            });
                            // When ready to go live, remove the alert and show a success message within this page. For example:
                        });
                }

            }).render('#paypal-button-container');
        }
        payment();
    </script>
@stop
