@extends('layouts.app')
@section('seo')
<title>Checkout | {{infoEmail()->host}}</title>
    <meta property="og:locale" content="en_GB" />
    <meta property="og:type" content="website" />
    <meta property="og:site_name" content="{{infoEmail()->host}}" />
    <meta itemprop="copyrightHolder" content="{{infoEmail()->host}}" />
    <meta name="author" content="{{infoEmail()->host}}" />
@stop
@section('content')
    <!-- Breadcrumb Start -->
    <div class="container-fluid">
        <div class="row px-xl-5">
            <div class="col-12">
                <nav class="breadcrumb bg-light mb-30">
                    <a class="breadcrumb-item text-dark" href="/">Home</a>
                    <span class="breadcrumb-item active">Checkout</span>
                </nav>
            </div>
        </div>
    </div>
    <!-- Breadcrumb End -->


    <!-- Checkout Start -->
    <div class="container-fluid">
    <div class="row px-xl-5">
        <div class="col-lg-8">
            <h1 class="section-title position-relative text-uppercase mb-3" style="font-size: 1.5rem;width:100%;"><span class="bg-secondary pr-3">PERSONAL INFORMATION</span></h1>
            <div class="bg-light p-30 mb-5">
                <form action="{{ route('processTransaction') }}" method="POST">
                    @csrf
                    @if ($errors->any())
                        <div class="alert alert-danger">
                            <ul>
                                @foreach ($errors->all() as $error)
                                    <li>{{ $error }}</li>
                                @endforeach
                            </ul>
                        </div>
                    @endif
                    <div class="row">
                    <div class="col-md-6 form-group">
                            <label>Country/region <span style="color:red;">*</span></label>
                            <select  name="country" required class="custom-select">
                                @foreach($countries as $country)
                                    <option <?=$country->iso2==='GB'?'selected':''?> value="{{ $country->iso2 }}"> {{ $country->name }}</option>
                                @endforeach
                            </select>
                        </div>
                        <div class="col-md-6 form-group">
                            <label>Company or Name <span style="color:red;">*</span></label>
                            <input class="form-control" required name="name" type="text"  value="{{ old('name') }}" >
                        </div>
                        <div class="col-md-6 form-group">
                            <label>Email address <span style="color:red;">*</span></label>
                            <input class="form-control" type="email" name="email" value="{{ old('email') }}" required >
                        </div>
                        <div class="col-md-6 form-group">
                            <label>Address line 1 <span style="color:red;">*</span></label>
                            <input class="form-control" name="address1" required type="text" value="{{ old('address1') }}" >
                        </div>
                        <div class="col-md-6 form-group">
                            <label>Address line 2 (optional)</label>
                            <input class="form-control" name="address2"  type="text" value="{{ old('address2') }}" >
                        </div>


                        <div class="col-md-6 form-group">
                            <label>Town/City <span style="color:red;">*</span></label>
                            <input class="form-control" name="city" required type="text" value="{{ old('city') }}" >
                        </div>
                        <div class="col-md-6 form-group">
                            <label>County (optional)</label>
                            <input class="form-control" name="state"  type="text" value="{{ old('state') }}"  />
                        </div>

                        <div class="col-md-6 form-group">
                            <label>Postcode <span style="color:red;">*</span></label>
                            <input class="form-control" name="postal" required type="text" value="{{ old('postal') }}" >
                        </div>
                        <div class="col-md-6 form-group">
                            <label>Phone number <span style="color:red;">*</span></label>
                            <input class="form-control" name="phone" required value="{{ old('phone') }}" type="text" >
                        </div>


                        <div class="col-md-12 form-group">
                            <button type="submit" class="btn btn-success">Continue</button>
                        </div>

                    </div>
                </form>
            </div>

        </div>
        <div class="col-lg-4">
            <h5 class="section-title position-relative text-uppercase mb-3"><span class="bg-secondary pr-3">ORDER SUMMARY</span></h5>
            <div class="bg-light p-30 mb-5">
                <div class="border-bottom">
                    <h6 class="mb-3">Products</h6>
                    @foreach($carts as $cart)
                        <div class="d-flex justify-content-between">
                            <p>
                            @if($cart->product->category=='battery')
                            Battery Replacement {{ $cart->product->jianjie1 }} for {{ $cart->product->jianjie2 }}<br>
                            @else
                            Adapter Replacement {{ $cart->product->jianjie1 }} for {{ $cart->product->jianjie2 }}<br>
                            @endif
                        </p>
                            <p>{{ $cart->singletotal }} {{ symbol() }}</p>
                        </div>
                    @endforeach

                </div>
                <div class="border-bottom pt-3 pb-2">
                    <div class="d-flex justify-content-between mb-3">
                        <h6>Subtotal</h6>
                        <h6>{{ $subtotal }} {{ symbol() }}</h6>
                    </div>
                    <div class="d-flex justify-content-between">
                        <h6 class="font-weight-medium">Shipping costs</h6>
                        <h6 class="font-weight-medium">0 {{ symbol() }}</h6>
                    </div>
                    <!-- <div class="d-flex justify-content-between">
                        <h6 class="font-weight-medium">tax</h6>
                        <h6 class="font-weight-medium">{{ $tax }} {{ symbol() }}</h6>
                    </div> -->
                </div>
                <div class="pt-2">
                    <div class="d-flex justify-content-between mt-2">
                        <h5>Total</h5>
                        <h5>{{ $total }} {{ symbol() }}</h5>
                    </div>
                </div>
            </div>

        </div>
    </div>
    </div>
    <!-- Checkout End -->
@stop
