@extends('layouts.app')
@section('seo')
<title>Replacement {{ $product->jianjie1 }}, {{ $product->jianjie2 }} {{ $product->parent->category }}</title>
    <meta property="og:title"  content="Replacement {{ $product->jianjie1 }}, {{ $product->jianjie2 }} {{ $product->parent->category }}"/>
@if($product->category=='battery')
    <meta name="keywords"  content="{{ $product->cs }} {{ $product->jianjie1 }} {{ $product->parent->category }}, {{ $product->parent->category }}, {{ $product->cs }} {{ $product->jianjie1 }} battery, {{ $product->cs }} {{ $product->jianjie1 }} batteries, {{ $product->cs }} {{ $product->jianjie1 }} battery, {{ $product->cs }} {{ $product->jianjie1 }} replacement battery, UK battery.">
    <meta name="description"  content="Order today and receive free standard shipping on your {{ $product->jianjie1 }} {{ $product->parent->category }}. {{ $product->cs }} {{ $product->jianjie1 }} batteries. Replaces {{ $product->jianjie2 }} batteries. Large {{ $product->dl }} capacity for long life. Environmentally friendly.">
    <meta property="og:description"  content="Order today and receive free standard shipping on your {{ $product->jianjie1 }} {{ $product->parent->category }}. {{ $product->cs }} {{ $product->jianjie1 }} batteries. Replaces {{ $product->jianjie2 }} batteries. Large {{ $product->dl }} capacity for long life. Environmentally friendly."/>
@else
    <meta name="keywords"  content="{{ $product->cs }} {{ $product->jianjie1 }} {{ $product->parent->category }}, {{ $product->parent->category }}, {{ $product->cs }} {{ $product->jianjie1 }} adapter, {{ $product->cs }} {{ $product->jianjie1 }} Chargers, {{ $product->cs }} {{ $product->jianjie1 }} Charger, {{ $product->cs }} {{ $product->jianjie1 }} replacement Charger, UK Charger.">
    <meta name="description"  content="Order today and receive free standard shipping on your {{ $product->jianjie1 }} {{ $product->parent->category }}. {{ $product->cs }} {{ $product->jianjie1 }} Chargers. Replaces {{ $product->jianjie2 }} adapters. Check out the deal on {{ $product->jianjie1 }} Charger at {{infoEmail()->host}}.">
    <meta property="og:description"  content="Order today and receive free standard shipping on your {{ $product->jianjie1 }} {{ $product->parent->category }}. {{ $product->cs }} {{ $product->jianjie1 }} Chargers. Replaces {{ $product->jianjie2 }} adapters. Check out the deal on {{ $product->jianjie1 }} Charger at {{infoEmail()->host}}."/>
@endif
    <meta property="og:locale" content="en_GB" />
    <meta property="og:type" content="product"/>
    <meta property="og:url" content="{{$product->url}}"/>
    <meta property="product:modified_time" content="{{ $product->date }}" />
    <meta property="og:site_name" content="{{infoEmail()->host}}">
    <meta property="og:image" content="{{ $product->okpcode }}"/>
    <meta property="product:brand" content="{{ $product->cs }}"/>
    <meta property="product:price" content="{{ $product->price }}£"/>
    <meta property="product:condition" content="New" />
    <meta itemprop="copyrightHolder" content="{{infoEmail()->host}}"/>
    <meta name="author" content="{{infoEmail()->host}}"/>
@stop  
@section('content')
    <!-- Breadcrumb Start -->
    <div class="container-fluid">
        <div class="row px-xl-5">
            <div class="col-12">
                <nav class="breadcrumb bg-light mb-30">
                    <a class="breadcrumb-item text-dark" href="{{ route('/') }}">Home</a>
                    <a class="breadcrumb-item text-dark" href="{{ route('category.category',[$product->category1,strName($product->parent->category)]) }}">{{ $product->parent->category }}</a>
                    <a class="breadcrumb-item text-dark" href="{{ route('category.brand',[urlencode($product->cs),$product->category1,strName($product->parent->category)]) }}">{{ $product->cs }}</a>
                    <span class="breadcrumb-item active">Replacement {{ $product->jianjie1 }}, {{ $product->jianjie2 }} {{ $product->parent->category }}</span>
                </nav>
            </div>
        </div>
    </div>
    <!-- Breadcrumb End -->


    <!-- Shop Detail Start -->
    <div class="container-fluid pb-5">
        <div class="row px-xl-5">
            <div class="col-lg-5 mb-30">
                <div id="product-carousel" class="carousel slide" data-ride="carousel">
                    <div class="carousel-inner bg-light">
                        @if($product->imgmore)
                            @foreach($product->imgmore as $img)
                                <div class="carousel-item @if($loop->first) active @endif">
                                    <img class="w-100 h-100" src="{{ $img }}" alt="{{ $product->cs }} {{ $product->jianjie1 }} {{ $product->parent->category }}">
                                </div>
                            @endforeach
                        @else
                            <div class="carousel-item active">
                                <img class="w-100 h-100" src="{{ $product->okpcode }}" alt="{{ $product->cs }} {{ $product->jianjie1 }} {{ $product->parent->category }}">
                            </div>
                        @endif

                    </div>
                    <a class="carousel-control-prev" href="#product-carousel" data-slide="prev">
                        <i class="fa fa-2x fa-angle-left text-dark"></i>
                    </a>
                    <a class="carousel-control-next" href="#product-carousel" data-slide="next">
                        <i class="fa fa-2x fa-angle-right text-dark"></i>
                    </a>
                </div>
            </div>

            <div class="col-lg-7 h-auto mb-30">
                <div class="h-100 bg-light p-30">
                    <h1 style="font-size: 1.75rem;font-weight:700;">
                    Replacement {{ $product->jianjie1 }}, {{ $product->jianjie2 }} {{ $product->parent->category }}
                </h1>
                <p> SKU #: {{ $product->pcode }}   |  In Stock  <span style="float:right;">Views: <?php echo rand(100,999);?></span></p>
                    <div class="d-flex mb-3">
                        <div class="text-primary mr-2">
                            <small class="fas fa-star"></small>
                            <small class="fas fa-star"></small>
                            <small class="fas fa-star"></small>
                            <small class="fas fa-star"></small>
                            <small class="fas fa-star-half-alt"></small>
                        </div>
                        <!-- <small class="pt-1">(99 Reviews)</small> -->
                    </div>
                    <h3 class="font-weight-semi-bold mb-4" style="color:#e81919;">{{ $product->price_symbol }} <span style="font-size:14px;color: #6C757D;"><img src="/img/freeshiptruck.png" alt="Free Shipping">Order Today and get Free Shipping!</span></h3>
                    <p class="mb-4">
                    @if($product->category==='battery')
                    This {{ $product->cs }} {{ $product->jianjie1 }} Batteries | {{ $product->dl }} is designed to offer a dependable and sustainable power solution for a multitude of electronic devices across various industries including manufacturing, services, and facilities management. 
                    @else
                    This product guarantees to meet the needs of the original specifications. {{ $product->jianjie2 }} Charger is exclusively made with the help of top quality materials that provides highest level of safety, reliability, dependability and adaptability.    
                    @endif
                </p>
                    @if($product->category==='battery')
                        <div class="d-flex mb-4">
                            <strong class="text-dark mr-3">Capacity:{{ $product->dl }}</strong>
                        </div>
                        <div class="d-flex mb-4">
                            <strong class="text-dark mr-3">Voltage:{{ $product->dy }}</strong>
                        </div>
                        @if($product->type)
                            <div class="d-flex mb-4">
                                <strong class="text-dark mr-3">Type:{{ $product->type }}</strong>
                            </div>
                        @endif

                    @else
                        <div class="d-flex mb-4">
                            <strong class="text-dark mr-3">Amperage:{{ $product->dl }}</strong>
                        </div>
                        <div class="d-flex mb-4">
                            <strong class="text-dark mr-3">Voltage:{{ $product->dy }}</strong>
                        </div>
                        @if($product->isBzq())
                            <div class="d-flex mb-4">
                                <strong class="text-dark mr-3">Power:{{ $product->bzq }}</strong>
                            </div>
                        @endif
                    @endif
                    <div class="d-flex mb-4">
                                <strong class="text-dark mr-3">Easy Returns & Refunds:30 Days Money Back Guarantee</strong>
                            </div>
                    <form action="{{ route('carts.store') }}" method="POST">
                        <div class="d-flex align-items-center mb-4 pt-2">

                            @csrf
                            <input type="hidden" name="pid" value="{{ $product->pid }}">
                            <input type="hidden" name="jian" value="{{ $product->jianjie1 }}">
                            <div class="input-group quantity mr-3" style="width: 130px;">
                                <div class="input-group-btn">
                                    <button type="button" class="btn btn-primary btn-minus">
                                        <i class="fa fa-minus"></i>
                                    </button>
                                </div>
                                <input name="qty" min="1" class="form-control bg-secondary border-0 text-center"
                                       type="number" value="1">
                                <div class="input-group-btn">
                                    <button type="button" class="btn btn-primary btn-plus">
                                        <i class="fa fa-plus"></i>
                                    </button>
                                </div>
                            </div>
                            <button type="submit" class="btn btn-primary px-3"><i class="fa fa-shopping-cart mr-1"></i>
                                Add To Cart
                            </button>

                        </div>
                    </form>
                    <div class="pt-2">
                        <strong class="text-dark mr-2"><img src="/img/lock.png">Payment & Security</strong>
                        <div class="d-inline-flex">
                            <p>We use the strongest available SSL certificates, to protect your information.<br>
                            <img src="/img/payment_methods.jpg" alt="Payment & Security" style="height:32px;">
                        </p>
                        </div>
                        
                    </div>
                </div>
            </div>
        </div>
        <div class="row px-xl-5">
            <div class="col">
                <div class="bg-light p-30">
                    <div class="nav nav-tabs mb-4">
                        <a class="nav-item nav-link text-dark active" data-toggle="tab" href="#tab-pane-1">Description</a>
                        <a class="nav-item nav-link text-dark" data-toggle="tab" href="#tab-pane-2">Delivery and Payment</a>
                    </div>
                    <div class="tab-content">
                        
                        <div class="tab-pane fade show active" id="tab-pane-1">
                        <h3>Product Description</h3>
                        <div style="background-color: #e6e6e6;border-radius: 0.25rem;color: #57687a;margin: 1.50rem 0;padding: 0.75rem 1rem;">
                        <strong>Free Standard Shipping!</strong>
                        @if($product->category==='battery')
                        <p>Order today and receive free standard shipping on your {{ $product->dl}} {{ $product->dy }} {{ $product->cs }} {{ $product->jianjie1 }} {{ $product->parent->category }}.This battery is a 100% compatible {{ $product->jianjie2 }} Replacement Battery. Our batteries and accessories are made with high quality parts and are guaranteed to meet or exceed the original equipment manufacturers specifications at a reduced price. All {{ $product->jianjie1 }} batteries are tested for 100% Quality Control Assurance. </p>
                        @else
                        <p>Order today and receive free standard shipping on your {{ $product->cs }} {{ $product->jianjie1 }} Charger: {{ $product->dl }} {{ $product->dy }}. </p>
                        @endif    
                    </div>
                        <h2 style="font-size: 24px;">{{ $product->dl}} {{ $product->dy }} {{ $product->cs }} {{ $product->jianjie1 }} {{ $product->parent->category }}</h2>
                        <p>
                        @if($product->category==='battery')
                        Technically advanced batteries that withstand the most rigorous quality control procedures.<br>
                        @else
                        Superior craftmanship; rigorously tested; high-quality parts.<br>
                        Please verify dimensions, voltage, & amps before ordering.<br>
                        @endif
                        Precise and verified compatibility lists ensure a perfect fit with a dedicated device.<br>
                        All our products meet rigorous quality standards and are backed by industry-leading guarantees.<br>
                        This item is built with the highest quality standards, safety features and has a 12 month warranty.
                        </p>
                            @if($product->category==='battery')
                                <h4 class="mb-3">Replaces part numbers</h4>
                                @foreach($product->rep as $rep)
                                    <span>{{ $rep }}</span>
                                @endforeach
                            @else
                                <h4 class="mb-3">Replaces part numbers</h4>
                                <p>{{ $product->rep }}</p>
                            @endif
                                <h4 class="mb-3">Compatible Models</h4>
                            <p>{!! $product->comp !!}</p>
                            <p><img src="/img/SecurityTechnology.png" alt="Security Technology"></p>
                            @if($product->category==='battery')
                            <div style="color: white;font-size: 16px;background-color: #1540CB;padding: 10px;" class="message">
                            <span style="background-color: yellow; color: black;">&nbsp; Little known fact: &nbsp;</span> <br> Replacement batteries and accessories have the comparable performance standards as OEM batteries but are significantly cheaper. Why? Simply carrying a brand name on a product makes it more expensive. 
                            </div>
                            <h4 class="mb-3 mt-3">Why choose {{infoEmail()->host}} replacement batteries?</h4>
                            <p>
                            Exact OEM replacement that fits easily and precisely.<br>
                            High quality, low-cost replacement batteries.<br>
                            A guaranteed fit for your device.<br>
                            Backed by easy 30-day returns and a 12-month warranty.<br>
                            Millions of batteries sold globally.
                            </p>
                            @else
                            <div style="color: white;font-size: 16px;background-color: #1540CB;padding: 10px;" class="message">
                            <span style="background-color: yellow; color: black;">&nbsp; Little known fact: &nbsp;</span> <br> Replacement chargers and accessories have the comparable performance standards as OEM chargers but are significantly cheaper. Why? Simply carrying a brand name on a product makes it more expensive. 
                            </div>
                            <h4 class="mb-3 mt-3">Why choose {{infoEmail()->host}} replacement chargers?</h4>
                            <p>
                            Exact OEM replacement that fits easily and precisely.<br>
                            High quality, low-cost replacement chargers.<br>
                            A guaranteed fit for your device.<br>
                            Backed by easy 30-day returns and a 12-month warranty.<br>
                            Millions of batteries sold globally.
                            </p>
                            @endif
                                  </div>
                            <div class="tab-pane fade show" id="tab-pane-2">
                                <h4 class="mb-3">Delivery costs </h4>
                                <p>Free Standard Shipping!</p>
                                <h4 class="mb-3">Delivery times</h4>
                                <p>
                                We carry most commonly ordered items in stock. ‘In Stock’ items are usually despatched within 2 business days of your order being placed.<br>
                                Estimated Delivery Time:7 - 15 Business Days<br>
                                <b>Tracking information</b><br>
                                After placing an order, you will receive an order confirmation email from {{infoEmail()->host}}. Your order will then be packed and prepared for despatch. Once your order has been lodged with our delivery partner, you will receive an email notification from us which will include a tracking number you can use to check its status.<br>
                                * Please note, delivery times are subject to state, metro or rural delivery address and are estimates only.
                                </p>
                                <hr>
                                <h4 class="mb-3">Payment methods</h4>
                                <p>
                                    <img src="/img/carte-bancaire3.png" alt="Credit card"><br>
                                    <b>Credit card</b><br>
                                    Accepted Credit cards : Visa, MasterCard, Visa Debit, Visa Electron, American Express and JCB<br>
                                    <img src="/img/paypal.png" alt="PayPal"><br>
                                    <b>PayPal</b><br>
                                    Pay for your purchases through Paypal's secure payment gateway.<br>
                                    After selecting Paypal as your method of payment, click on "confirm order" and you will automatically be redirected to Paypal's secure page. 

                                </p>
                          </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- Shop Detail End -->


    <!-- Products Start -->
    <div class="container-fluid py-5">
        <h3 class="section-title position-relative text-uppercase mx-xl-5 mb-4"><span class="bg-secondary pr-3">Products We Think You'll Love</span>
        </h3>
        <div class="row px-xl-5">
            <div class="col">
                <div class="owl-carousel related-carousel">
                    @foreach($abouts as $v)
                        <div class="product-item bg-light">
                            <div class="product-img position-relative overflow-hidden">
                                <a href="{{ $v->url }}">
                                    <img class="img-fluid w-100" src="{{ $v->okpcode }}" alt="{{ $v->cs }} {{ $v->jianjie1 }}">
                                </a>
                            </div>
                            <div class="text-center py-4">
                                <a class="h6 text-decoration-none text-truncate" href="{{ $v->url }}">
                                Replace a {{ $v->dl }} {{ $v->category }} compatible with {{ $v->cs }} {{ $v->jianjie1 }}
                                </a>
                                <div class="d-flex align-items-center justify-content-center mt-2">
                                    <h5>{{ $v->price_symbol }}</h5>
                                    <h6 class="text-muted ml-2">
                                        <del>{{ $v->price_old }}</del>
                                    </h6>
                                </div>
                                <div class="d-flex align-items-center justify-content-center mb-1">
                                    <small class="fa fa-star text-primary mr-1"></small>
                                    <small class="fa fa-star text-primary mr-1"></small>
                                    <small class="fa fa-star text-primary mr-1"></small>
                                    <small class="fa fa-star text-primary mr-1"></small>
                                    <small class="fa fa-star text-primary mr-1"></small>
                                </div>
                            </div>
                        </div>
                    @endforeach
                </div>
            </div>
        </div>
    </div>
    <!-- Products End -->

@stop
