@extends('layouts.app')
@section('seo')
<title>Frequently Asked Questions | {{infoEmail()->host}}</title>
    <meta property="og:locale" content="en_GB" />
    <meta property="og:type" content="website" />
    <meta property="og:site_name" content="{{infoEmail()->host}}" />
    <meta itemprop="copyrightHolder" content="{{infoEmail()->host}}" />
    <meta name="author" content="{{infoEmail()->host}}" />
@stop
@section('content')
    <!-- Breadcrumb Start -->
    <div class="container-fluid">
        <div class="row px-xl-5">
            <div class="col-12">
                <nav class="breadcrumb bg-light mb-30">
                    <a class="breadcrumb-item text-dark" href="/">Home</a>
                    <span class="breadcrumb-item active">Frequently Asked Questions</span>
                </nav>
                <h1 style="font-size: 1.5rem;">FAQs</h1>
                <p><b>Will my order ship the same day?</b></p>
                <p>We carry most commonly ordered items in stock. ‘In Stock’ items are usually despatched within 2 business days of your order being placed.</p>
                <p><b>How can I return or exchange an item?</b></p>
                <p>Please refer our <a href="/return">Return Policy</a>.</p>
                <p><b>Do you sell refurbished or brand new batteries?</b></p>
                <p>{{infoEmail()->host}} sells only BRAND NEW replacement battery packs, with our manufacturing facilities in conformance with quality standards and guidelines applicable to OEM battery packs.</p>
                <p><b>Are your products as good as the original battery packs?</b></p>
                <p>Yes. Our aftermarket replacement battery packs are manufactured by certified plants, using the highest quality cells and materials, under same strict high standards and guidelines applicable to OEM battery packs. In fact in many cases we provide warranties that are longer than the ones you would typically find with OEM purchases. Lower prices, longer warranty and supreme quality all help you make a smarter buying decision and reward you with a better return on investment.</p>
                <p><b>How much do I save by using replacement or aftermarket battery packs?</b></p>
                <p>Your savings will be substantial compared to prices from the OEM.</p>
                <p><b>What forms of payment do you accept?</b></p>
                <p>We accept PayPal, Visa, Master Card, American Express, and Discover for transactions.</p>
                <p><b>WHAT IS THE DIFFERENCE BETWEEN NICAD, NIMH AND LITHIUM ION BATTERIES?</b></p>
                <p>NiMH (Nickel Metal Hydride) and NiCd (Nickel Cadmium), are two of the oldest chemistries. The major differences between the two types of batteries are capacity, memory effect and environmental friendliness. NiMH batteries have high capacity, no memory effects and environmentally friendly. Li-ion is currently the most popular chemistry. Li-ion batteries produce the same energy as Ni-MH battery but they are much lighter. This can make a noticeable difference in devices such as lawn mowers, medical , two-way radios, bar-code scanners or notebook computers where the battery makes up a significant portion of the total weight. </p>
                <p><b>IS IT POSSIBLE TO UPGRADE THE DEVICE'S BATTERY TO A NEWER CHEMISTRY?</b></p>
                <p>NiCad, NiMH and Li-Ion are all fundamentally different from one another and cannot be substituted unless the device has been pre-configured to accept more than one type of battery chemistry.</p>
                <p><b>MY NEW BATTERY ISN'T CHARGING. IS IT DEFECTIVE?</b></p>
                <p>Usually NO. New batteries come in a discharged condition and must be fully charged before use. It is recommended that you fully charge and discharge the new battery two to four times to allow it to reach its maximum rated capacity.</p>
                <p>It is generally recommend an overnight charge (approximately twelve hours). It is normal for a battery to become warm to the touch during charging and discharging. When charging the battery for the first time, the device may indicate that charging is complete after just 10 or 15 minutes. This is a normal with rechargeable batteries. New batteries are hard for the device to charge; they have never been fully charged and not “broken in”. Sometimes the device's charger will stop charging a new battery before it is fully charged. If this happens, remove the battery from the device and then reinsert it. The charge cycle should begin again. This may happen several times during the first battery charge. Don't worry; it's perfectly normal.</p>
                <p>Another scenario can be the BIOS interface. At times, the current software in your system is only set up to read an OEM (Original Equipment Manufacturer) battery. If your BIOS as not been updated, and you have only used OEM batteries in your unit it can cause the replacement battery not to communicate efficiently with the software in your system.</p>
                <p>By visiting your manufacturers’ website and locating your models BIOS upgrade, it can make it possible for your replacement battery to work as efficiently as your OEM battery. Once completing the BIOS upgrade, please recharge your battery for 12 hours and use as normal.</p>
                <p><b>HOW LONG WILL MY NEW BATTERY RUN?</b></p>
                <p>Battery run-time on a laptop is difficult to determine. Actual battery running time depends upon the power demands made by the equipment. The use of the screen, the hard drive, and other accessories results in an additional drain upon the battery, effectively reducing its running time. The total run-time of the battery is also dependent upon the design of the equipment.</p>
            </div>
        </div>
    </div>
    <!-- Breadcrumb End -->



@stop
