<!doctype html>
<html lang="fr">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">

    <title>{{ $data['name'] }} Merci pour votre paiement</title>
</head>
<style>
    .table {
        border-collapse: collapse
    }

    .table .header th {
        width: 150px;
    }

    .table td, th {
        border: #0a88ff solid 1px;
        text-align: center;
    }


</style>
<body>
<div class="container">

    <div class="row">
        <p>
            Cher {{ $data['name'] }},
        </p>
        <p>
            Nous vous remercions d'avoir passé une commande chez nous. Nous sommes très heureux d'avoir reçu votre commande et elle est actuellement en cours de traitement.
            <br>
            Votre numéro de commande est {{ $data['local_id'] }} et comprend les articles suivants :
        </p>

        <div class="row">
            <div class="col-6">
                <table class="table">
                    <thead>
                    <tr class="header">
                        <th scope="col">Nom du Produit</th>
                        <th scope="col">Quantité</th>
                        <th scope="col">Prix</th>
                        <th scope="col">Sous-total</th>
                    </tr>
                    </thead>
                    <tbody>
                    @foreach($carts as $cart)
                        <tr>
                            <th scope="row">{{ $cart->jian }}</th>
                            <td>{{ $cart->numbers }}</td>
                            <td>{{ $cart->baseprice }}</td>
                            <td>{{ $cart->singletotal }}</td>
                        </tr>
                    @endforeach
                    </tbody>
                </table>
            </div>
        </div>

        <p>
            Nous voulons nous assurer que vous avez la meilleure expérience possible avec notre entreprise, donc n'hésitez pas à <a
                    href="mailto:{{ env('MAIL_FROM_ADDRESS') }}">nous contacter</a> si vous avez des questions ou des préoccupations concernant votre commande.
            <br>
            Nous comprenons que vous puissiez avoir hâte de recevoir votre produit, et nous expédierons votre commande dès que possible. Notre délai de livraison actuel est de {{ env('LEAD_TIME') }}, et nous vous fournirons un numéro de suivi une fois votre commande expédiée.
            <br>
            Merci pour votre confiance, nous serons ravis de vous servir à nouveau à l'avenir.
        </p>

        <p>
            Cordialement,
            <br>
            {{ env('APP_URL') }}
        </p>


    </div>

</div>
</body>
</html>
