<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
*/

Route::get('/', [\App\Http\Controllers\IndexController::class, 'index'])->name('/');
Route::get('item-{cs}-{jian}-{category}-model-{sku}', [\App\Http\Controllers\ProductController::class, 'show'])
    ->where(['cs' => '.*', 'jian' => '.*', 'category' => '(battery|adapter)', 'sku' => '.*'])->name('detail');
Route::get('category/{id}/{category}', [\App\Http\Controllers\CategoriesController::class, 'category'])->where(['id' => '\d+', 'category' => '.*'])->name('category.category');
Route::get('brand-{cs}-{id}-{category}', [\App\Http\Controllers\CategoriesController::class, 'brand'])
    ->where(['cs' => '.*', 'category' => '.*', 'id' => '\d+'])->name('category.brand');
Route::post('carts/create', [\App\Http\Controllers\CartsController::class, 'store'])->name('carts.store');
Route::any('carts', [\App\Http\Controllers\CartsController::class, 'index'])->name('carts.index');
Route::post('orders/create', [\App\Http\Controllers\PaypalController::class, 'createOrder'])->name('paypal.api.create-order');
Route::post('orders/{orderId}/capture',[\App\Http\Controllers\PaypalController::class,'captureOrder']);
Route::get('successTransaction',[\App\Http\Controllers\PaypalController::class,'successTransaction'])->name('successTransaction');
Route::any('processTransaction',[\App\Http\Controllers\PaypalController::class,'processTransaction'])->name('processTransaction');
Route::get('cancelTransaction',[\App\Http\Controllers\PaypalController::class,'cancelTransaction'])->name('cancelTransaction');
Route::get('search',[\App\Http\Controllers\SearchController::class,'search'])->name('search');
Route::get('pay-success',[\App\Http\Controllers\PaypalController::class,'paySuccess'])->name('paySuccess');
Route::get('pay-fail',[\App\Http\Controllers\PaypalController::class,'payFail'])->name('payFail');
Route::get('paypal-checkout',[\App\Http\Controllers\PaypalController::class,'form'])->name('paypal.checkout');
Route::get('faq',[\App\Http\Controllers\StaticController::class,'index'])->name('faq');
Route::get('about_us',[\App\Http\Controllers\StaticController::class,'index'])->name('about');
Route::get('return',[\App\Http\Controllers\StaticController::class,'index'])->name('return');
Route::get('shipping',[\App\Http\Controllers\StaticController::class,'index'])->name('shipping');
Route::get('cookies',[\App\Http\Controllers\StaticController::class,'index'])->name('cookies');
Route::get('new',[\App\Http\Controllers\CategoriesController::class,'new'])->name('new');
Route::get('hot',[\App\Http\Controllers\CategoriesController::class,'hot'])->name('hot');
Route::get('categories',[\App\Http\Controllers\CategoriesController::class,'all'])->name('category.all');
