<?php $__env->startSection('seo'); ?>
<title>Checkout | <?php echo e(infoEmail()->host, false); ?></title>
    <meta property="og:locale" content="en_GB" />
    <meta property="og:type" content="website" />
    <meta property="og:site_name" content="<?php echo e(infoEmail()->host, false); ?>" />
    <meta itemprop="copyrightHolder" content="<?php echo e(infoEmail()->host, false); ?>" />
    <meta name="author" content="<?php echo e(infoEmail()->host, false); ?>" />
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
    <!-- Breadcrumb Start -->
    <div class="container-fluid">
        <div class="row px-xl-5">
            <div class="col-12">
                <nav class="breadcrumb bg-light mb-30">
                    <a class="breadcrumb-item text-dark" href="/">Home</a>
                    <span class="breadcrumb-item active">Checkout</span>
                </nav>
            </div>
        </div>
    </div>
    <!-- Breadcrumb End -->


    <!-- Checkout Start -->
    <div class="container-fluid">
    <div class="row px-xl-5">
        <div class="col-lg-8">
            <h1 class="section-title position-relative text-uppercase mb-3" style="font-size: 1.5rem;width:100%;"><span class="bg-secondary pr-3">PERSONAL INFORMATION</span></h1>
            <div class="bg-light p-30 mb-5">
                <form action="<?php echo e(route('processTransaction'), false); ?>" method="POST">
                    <?php echo csrf_field(); ?>
                    <?php if($errors->any()): ?>
                        <div class="alert alert-danger">
                            <ul>
                                <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <li><?php echo e($error, false); ?></li>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </ul>
                        </div>
                    <?php endif; ?>
                    <div class="row">
                    <div class="col-md-6 form-group">
                            <label>Country/region <span style="color:red;">*</span></label>
                            <select  name="country" required class="custom-select">
                                <?php $__currentLoopData = $countries; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $country): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option <?=$country->iso2==='GB'?'selected':''?> value="<?php echo e($country->iso2, false); ?>"> <?php echo e($country->name, false); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                        </div>
                        <div class="col-md-6 form-group">
                            <label>Company or Name <span style="color:red;">*</span></label>
                            <input class="form-control" required name="name" type="text"  value="<?php echo e(old('name'), false); ?>" >
                        </div>
                        <div class="col-md-6 form-group">
                            <label>Email address <span style="color:red;">*</span></label>
                            <input class="form-control" type="email" name="email" value="<?php echo e(old('email'), false); ?>" required >
                        </div>
                        <div class="col-md-6 form-group">
                            <label>Address line 1 <span style="color:red;">*</span></label>
                            <input class="form-control" name="address1" required type="text" value="<?php echo e(old('address1'), false); ?>" >
                        </div>
                        <div class="col-md-6 form-group">
                            <label>Address line 2 (optional)</label>
                            <input class="form-control" name="address2"  type="text" value="<?php echo e(old('address2'), false); ?>" >
                        </div>


                        <div class="col-md-6 form-group">
                            <label>Town/City <span style="color:red;">*</span></label>
                            <input class="form-control" name="city" required type="text" value="<?php echo e(old('city'), false); ?>" >
                        </div>
                        <div class="col-md-6 form-group">
                            <label>County (optional)</label>
                            <input class="form-control" name="state"  type="text" value="<?php echo e(old('state'), false); ?>"  />
                        </div>

                        <div class="col-md-6 form-group">
                            <label>Postcode <span style="color:red;">*</span></label>
                            <input class="form-control" name="postal" required type="text" value="<?php echo e(old('postal'), false); ?>" >
                        </div>
                        <div class="col-md-6 form-group">
                            <label>Phone number <span style="color:red;">*</span></label>
                            <input class="form-control" name="phone" required value="<?php echo e(old('phone'), false); ?>" type="text" >
                        </div>


                        <div class="col-md-12 form-group">
                            <button type="submit" class="btn btn-success">Continue</button>
                        </div>

                    </div>
                </form>
            </div>

        </div>
        <div class="col-lg-4">
            <h5 class="section-title position-relative text-uppercase mb-3"><span class="bg-secondary pr-3">ORDER SUMMARY</span></h5>
            <div class="bg-light p-30 mb-5">
                <div class="border-bottom">
                    <h6 class="mb-3">Products</h6>
                    <?php $__currentLoopData = $carts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $cart): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <div class="d-flex justify-content-between">
                            <p>
                            <?php if($cart->product->category=='battery'): ?>
                            Battery Replacement <?php echo e($cart->product->jianjie1, false); ?> for <?php echo e($cart->product->jianjie2, false); ?><br>
                            <?php else: ?>
                            Adapter Replacement <?php echo e($cart->product->jianjie1, false); ?> for <?php echo e($cart->product->jianjie2, false); ?><br>
                            <?php endif; ?>
                        </p>
                            <p><?php echo e($cart->singletotal, false); ?> <?php echo e(symbol(), false); ?></p>
                        </div>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                </div>
                <div class="border-bottom pt-3 pb-2">
                    <div class="d-flex justify-content-between mb-3">
                        <h6>Subtotal</h6>
                        <h6><?php echo e($subtotal, false); ?> <?php echo e(symbol(), false); ?></h6>
                    </div>
                    <div class="d-flex justify-content-between">
                        <h6 class="font-weight-medium">Shipping costs</h6>
                        <h6 class="font-weight-medium">0 <?php echo e(symbol(), false); ?></h6>
                    </div>
                    <!-- <div class="d-flex justify-content-between">
                        <h6 class="font-weight-medium">tax</h6>
                        <h6 class="font-weight-medium"><?php echo e($tax, false); ?> <?php echo e(symbol(), false); ?></h6>
                    </div> -->
                </div>
                <div class="pt-2">
                    <div class="d-flex justify-content-between mt-2">
                        <h5>Total</h5>
                        <h5><?php echo e($total, false); ?> <?php echo e(symbol(), false); ?></h5>
                    </div>
                </div>
            </div>

        </div>
    </div>
    </div>
    <!-- Checkout End -->
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\laragon\2024\uk03-22\resources\views/paypal/checkout.blade.php ENDPATH**/ ?>