<?php //fbc83940fd7cc3910114e68ea5fc9d3a
/** @noinspection all */

namespace LaravelIdea\Helper\Tests\Models {

    use Illuminate\Contracts\Database\Query\Expression;
    use Illuminate\Contracts\Support\Arrayable;
    use Illuminate\Pagination\LengthAwarePaginator;
    use Illuminate\Pagination\Paginator;
    use Illuminate\Support\Collection;
    use LaravelIdea\Helper\_BaseBuilder;
    use LaravelIdea\Helper\_BaseCollection;
    use Tests\Models\File;
    use Tests\Models\Image;
    use Tests\Models\MultipleImage;
    use Tests\Models\Painter;
    use Tests\Models\Painting;
    use Tests\Models\Profile;
    use Tests\Models\Tag;
    use Tests\Models\Tree;
    use Tests\Models\User;

    /**
     * @method File|null getOrPut($key, \Closure $value)
     * @method File|$this shift(int $count = 1)
     * @method File|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method File|$this pop(int $count = 1)
     * @method File|null pull($key, \Closure $default = null)
     * @method File|null last(callable $callback = null, \Closure $default = null)
     * @method File|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method File|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method File|null get($key, \Closure $default = null)
     * @method File|null first(callable $callback = null, \Closure $default = null)
     * @method File|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method File|null find($key, $default = null)
     * @method File[] all()
     */
    class _IH_File_C extends _BaseCollection {
        /**
         * @param int $size
         * @return File[][]|Collection<_IH_File_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }

    /**
     * @method _IH_File_QB whereId($value)
     * @method _IH_File_QB whereFile1($value)
     * @method _IH_File_QB whereFile2($value)
     * @method _IH_File_QB whereFile3($value)
     * @method _IH_File_QB whereFile4($value)
     * @method _IH_File_QB whereFile5($value)
     * @method _IH_File_QB whereFile6($value)
     * @method _IH_File_QB whereCreatedAt($value)
     * @method _IH_File_QB whereUpdatedAt($value)
     * @method File baseSole(array|string $columns = ['*'])
     * @method File create(array $attributes = [])
     * @method File createOrFirst(array $attributes = [], array $values = [])
     * @method _IH_File_C|File[] cursor()
     * @method File|null|_IH_File_C|File[] find($id, array|string $columns = ['*'])
     * @method _IH_File_C|File[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method File|_IH_File_C|File[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method File|_IH_File_C|File[] findOrFail($id, array|string $columns = ['*'])
     * @method File|_IH_File_C|File[] findOrNew($id, array|string $columns = ['*'])
     * @method File first(array|string $columns = ['*'])
     * @method File firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method File firstOrCreate(array $attributes = [], array $values = [])
     * @method File firstOrFail(array|string $columns = ['*'])
     * @method File firstOrNew(array $attributes = [], array $values = [])
     * @method File firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method File forceCreate(array $attributes)
     * @method File forceCreateQuietly(array $attributes = [])
     * @method _IH_File_C|File[] fromQuery(string $query, array $bindings = [])
     * @method _IH_File_C|File[] get(array|string $columns = ['*'])
     * @method File getModel()
     * @method File[] getModels(array|string $columns = ['*'])
     * @method _IH_File_C|File[] hydrate(array $items)
     * @method _IH_File_C|File[] lazy(int $chunkSize = 1000)
     * @method _IH_File_C|File[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_File_C|File[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method File make(array $attributes = [])
     * @method File newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|File[]|_IH_File_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|File[]|_IH_File_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method File sole(array|string $columns = ['*'])
     * @method File updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_File_QB extends _BaseBuilder {}

    /**
     * @method Image|null getOrPut($key, \Closure $value)
     * @method Image|$this shift(int $count = 1)
     * @method Image|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Image|$this pop(int $count = 1)
     * @method Image|null pull($key, \Closure $default = null)
     * @method Image|null last(callable $callback = null, \Closure $default = null)
     * @method Image|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Image|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Image|null get($key, \Closure $default = null)
     * @method Image|null first(callable $callback = null, \Closure $default = null)
     * @method Image|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Image|null find($key, $default = null)
     * @method Image[] all()
     */
    class _IH_Image_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Image[][]|Collection<_IH_Image_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }

    /**
     * @method _IH_Image_QB whereId($value)
     * @method _IH_Image_QB whereImage1($value)
     * @method _IH_Image_QB whereImage2($value)
     * @method _IH_Image_QB whereImage3($value)
     * @method _IH_Image_QB whereImage4($value)
     * @method _IH_Image_QB whereImage5($value)
     * @method _IH_Image_QB whereImage6($value)
     * @method _IH_Image_QB whereCreatedAt($value)
     * @method _IH_Image_QB whereUpdatedAt($value)
     * @method Image baseSole(array|string $columns = ['*'])
     * @method Image create(array $attributes = [])
     * @method Image createOrFirst(array $attributes = [], array $values = [])
     * @method _IH_Image_C|Image[] cursor()
     * @method Image|null|_IH_Image_C|Image[] find($id, array|string $columns = ['*'])
     * @method _IH_Image_C|Image[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Image|_IH_Image_C|Image[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Image|_IH_Image_C|Image[] findOrFail($id, array|string $columns = ['*'])
     * @method Image|_IH_Image_C|Image[] findOrNew($id, array|string $columns = ['*'])
     * @method Image first(array|string $columns = ['*'])
     * @method Image firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Image firstOrCreate(array $attributes = [], array $values = [])
     * @method Image firstOrFail(array|string $columns = ['*'])
     * @method Image firstOrNew(array $attributes = [], array $values = [])
     * @method Image firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Image forceCreate(array $attributes)
     * @method Image forceCreateQuietly(array $attributes = [])
     * @method _IH_Image_C|Image[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Image_C|Image[] get(array|string $columns = ['*'])
     * @method Image getModel()
     * @method Image[] getModels(array|string $columns = ['*'])
     * @method _IH_Image_C|Image[] hydrate(array $items)
     * @method _IH_Image_C|Image[] lazy(int $chunkSize = 1000)
     * @method _IH_Image_C|Image[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Image_C|Image[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Image make(array $attributes = [])
     * @method Image newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Image[]|_IH_Image_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|Image[]|_IH_Image_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Image sole(array|string $columns = ['*'])
     * @method Image updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Image_QB extends _BaseBuilder {}

    /**
     * @method MultipleImage|null getOrPut($key, \Closure $value)
     * @method MultipleImage|$this shift(int $count = 1)
     * @method MultipleImage|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method MultipleImage|$this pop(int $count = 1)
     * @method MultipleImage|null pull($key, \Closure $default = null)
     * @method MultipleImage|null last(callable $callback = null, \Closure $default = null)
     * @method MultipleImage|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method MultipleImage|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method MultipleImage|null get($key, \Closure $default = null)
     * @method MultipleImage|null first(callable $callback = null, \Closure $default = null)
     * @method MultipleImage|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method MultipleImage|null find($key, $default = null)
     * @method MultipleImage[] all()
     */
    class _IH_MultipleImage_C extends _BaseCollection {
        /**
         * @param int $size
         * @return MultipleImage[][]|Collection<_IH_MultipleImage_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }

    /**
     * @method _IH_MultipleImage_QB whereId($value)
     * @method _IH_MultipleImage_QB wherePictures($value)
     * @method _IH_MultipleImage_QB whereCreatedAt($value)
     * @method _IH_MultipleImage_QB whereUpdatedAt($value)
     * @method MultipleImage baseSole(array|string $columns = ['*'])
     * @method MultipleImage create(array $attributes = [])
     * @method MultipleImage createOrFirst(array $attributes = [], array $values = [])
     * @method _IH_MultipleImage_C|MultipleImage[] cursor()
     * @method MultipleImage|null|_IH_MultipleImage_C|MultipleImage[] find($id, array|string $columns = ['*'])
     * @method _IH_MultipleImage_C|MultipleImage[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method MultipleImage|_IH_MultipleImage_C|MultipleImage[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method MultipleImage|_IH_MultipleImage_C|MultipleImage[] findOrFail($id, array|string $columns = ['*'])
     * @method MultipleImage|_IH_MultipleImage_C|MultipleImage[] findOrNew($id, array|string $columns = ['*'])
     * @method MultipleImage first(array|string $columns = ['*'])
     * @method MultipleImage firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method MultipleImage firstOrCreate(array $attributes = [], array $values = [])
     * @method MultipleImage firstOrFail(array|string $columns = ['*'])
     * @method MultipleImage firstOrNew(array $attributes = [], array $values = [])
     * @method MultipleImage firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method MultipleImage forceCreate(array $attributes)
     * @method MultipleImage forceCreateQuietly(array $attributes = [])
     * @method _IH_MultipleImage_C|MultipleImage[] fromQuery(string $query, array $bindings = [])
     * @method _IH_MultipleImage_C|MultipleImage[] get(array|string $columns = ['*'])
     * @method MultipleImage getModel()
     * @method MultipleImage[] getModels(array|string $columns = ['*'])
     * @method _IH_MultipleImage_C|MultipleImage[] hydrate(array $items)
     * @method _IH_MultipleImage_C|MultipleImage[] lazy(int $chunkSize = 1000)
     * @method _IH_MultipleImage_C|MultipleImage[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_MultipleImage_C|MultipleImage[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method MultipleImage make(array $attributes = [])
     * @method MultipleImage newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|MultipleImage[]|_IH_MultipleImage_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|MultipleImage[]|_IH_MultipleImage_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method MultipleImage sole(array|string $columns = ['*'])
     * @method MultipleImage updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_MultipleImage_QB extends _BaseBuilder {}

    /**
     * @method Painter|null getOrPut($key, \Closure $value)
     * @method Painter|$this shift(int $count = 1)
     * @method Painter|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Painter|$this pop(int $count = 1)
     * @method Painter|null pull($key, \Closure $default = null)
     * @method Painter|null last(callable $callback = null, \Closure $default = null)
     * @method Painter|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Painter|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Painter|null get($key, \Closure $default = null)
     * @method Painter|null first(callable $callback = null, \Closure $default = null)
     * @method Painter|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Painter|null find($key, $default = null)
     * @method Painter[] all()
     */
    class _IH_Painter_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Painter[][]|Collection<_IH_Painter_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }

    /**
     * @method _IH_Painter_QB whereId($value)
     * @method _IH_Painter_QB whereUsername($value)
     * @method _IH_Painter_QB whereBio($value)
     * @method _IH_Painter_QB whereCreatedAt($value)
     * @method _IH_Painter_QB whereUpdatedAt($value)
     * @method Painter baseSole(array|string $columns = ['*'])
     * @method Painter create(array $attributes = [])
     * @method Painter createOrFirst(array $attributes = [], array $values = [])
     * @method _IH_Painter_C|Painter[] cursor()
     * @method Painter|null|_IH_Painter_C|Painter[] find($id, array|string $columns = ['*'])
     * @method _IH_Painter_C|Painter[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Painter|_IH_Painter_C|Painter[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Painter|_IH_Painter_C|Painter[] findOrFail($id, array|string $columns = ['*'])
     * @method Painter|_IH_Painter_C|Painter[] findOrNew($id, array|string $columns = ['*'])
     * @method Painter first(array|string $columns = ['*'])
     * @method Painter firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Painter firstOrCreate(array $attributes = [], array $values = [])
     * @method Painter firstOrFail(array|string $columns = ['*'])
     * @method Painter firstOrNew(array $attributes = [], array $values = [])
     * @method Painter firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Painter forceCreate(array $attributes)
     * @method Painter forceCreateQuietly(array $attributes = [])
     * @method _IH_Painter_C|Painter[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Painter_C|Painter[] get(array|string $columns = ['*'])
     * @method Painter getModel()
     * @method Painter[] getModels(array|string $columns = ['*'])
     * @method _IH_Painter_C|Painter[] hydrate(array $items)
     * @method _IH_Painter_C|Painter[] lazy(int $chunkSize = 1000)
     * @method _IH_Painter_C|Painter[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Painter_C|Painter[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Painter make(array $attributes = [])
     * @method Painter newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Painter[]|_IH_Painter_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|Painter[]|_IH_Painter_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Painter sole(array|string $columns = ['*'])
     * @method Painter updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Painter_QB extends _BaseBuilder {}

    /**
     * @method Painting|null getOrPut($key, \Closure $value)
     * @method Painting|$this shift(int $count = 1)
     * @method Painting|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Painting|$this pop(int $count = 1)
     * @method Painting|null pull($key, \Closure $default = null)
     * @method Painting|null last(callable $callback = null, \Closure $default = null)
     * @method Painting|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Painting|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Painting|null get($key, \Closure $default = null)
     * @method Painting|null first(callable $callback = null, \Closure $default = null)
     * @method Painting|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Painting|null find($key, $default = null)
     * @method Painting[] all()
     */
    class _IH_Painting_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Painting[][]|Collection<_IH_Painting_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }

    /**
     * @method _IH_Painting_QB whereId($value)
     * @method _IH_Painting_QB wherePainterId($value)
     * @method _IH_Painting_QB whereTitle($value)
     * @method _IH_Painting_QB whereBody($value)
     * @method _IH_Painting_QB whereCompletedAt($value)
     * @method _IH_Painting_QB whereCreatedAt($value)
     * @method _IH_Painting_QB whereUpdatedAt($value)
     * @method Painting baseSole(array|string $columns = ['*'])
     * @method Painting create(array $attributes = [])
     * @method Painting createOrFirst(array $attributes = [], array $values = [])
     * @method _IH_Painting_C|Painting[] cursor()
     * @method Painting|null|_IH_Painting_C|Painting[] find($id, array|string $columns = ['*'])
     * @method _IH_Painting_C|Painting[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Painting|_IH_Painting_C|Painting[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Painting|_IH_Painting_C|Painting[] findOrFail($id, array|string $columns = ['*'])
     * @method Painting|_IH_Painting_C|Painting[] findOrNew($id, array|string $columns = ['*'])
     * @method Painting first(array|string $columns = ['*'])
     * @method Painting firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Painting firstOrCreate(array $attributes = [], array $values = [])
     * @method Painting firstOrFail(array|string $columns = ['*'])
     * @method Painting firstOrNew(array $attributes = [], array $values = [])
     * @method Painting firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Painting forceCreate(array $attributes)
     * @method Painting forceCreateQuietly(array $attributes = [])
     * @method _IH_Painting_C|Painting[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Painting_C|Painting[] get(array|string $columns = ['*'])
     * @method Painting getModel()
     * @method Painting[] getModels(array|string $columns = ['*'])
     * @method _IH_Painting_C|Painting[] hydrate(array $items)
     * @method _IH_Painting_C|Painting[] lazy(int $chunkSize = 1000)
     * @method _IH_Painting_C|Painting[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Painting_C|Painting[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Painting make(array $attributes = [])
     * @method Painting newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Painting[]|_IH_Painting_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|Painting[]|_IH_Painting_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Painting sole(array|string $columns = ['*'])
     * @method Painting updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Painting_QB extends _BaseBuilder {}

    /**
     * @method Profile|null getOrPut($key, \Closure $value)
     * @method Profile|$this shift(int $count = 1)
     * @method Profile|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Profile|$this pop(int $count = 1)
     * @method Profile|null pull($key, \Closure $default = null)
     * @method Profile|null last(callable $callback = null, \Closure $default = null)
     * @method Profile|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Profile|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Profile|null get($key, \Closure $default = null)
     * @method Profile|null first(callable $callback = null, \Closure $default = null)
     * @method Profile|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Profile|null find($key, $default = null)
     * @method Profile[] all()
     */
    class _IH_Profile_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Profile[][]|Collection<_IH_Profile_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }

    /**
     * @method _IH_Profile_QB whereId($value)
     * @method _IH_Profile_QB whereUserId($value)
     * @method _IH_Profile_QB whereFirstName($value)
     * @method _IH_Profile_QB whereLastName($value)
     * @method _IH_Profile_QB wherePostcode($value)
     * @method _IH_Profile_QB whereAddress($value)
     * @method _IH_Profile_QB whereLatitude($value)
     * @method _IH_Profile_QB whereLongitude($value)
     * @method _IH_Profile_QB whereColor($value)
     * @method _IH_Profile_QB whereStartAt($value)
     * @method _IH_Profile_QB whereEndAt($value)
     * @method _IH_Profile_QB whereCreatedAt($value)
     * @method _IH_Profile_QB whereUpdatedAt($value)
     * @method Profile baseSole(array|string $columns = ['*'])
     * @method Profile create(array $attributes = [])
     * @method Profile createOrFirst(array $attributes = [], array $values = [])
     * @method _IH_Profile_C|Profile[] cursor()
     * @method Profile|null|_IH_Profile_C|Profile[] find($id, array|string $columns = ['*'])
     * @method _IH_Profile_C|Profile[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Profile|_IH_Profile_C|Profile[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Profile|_IH_Profile_C|Profile[] findOrFail($id, array|string $columns = ['*'])
     * @method Profile|_IH_Profile_C|Profile[] findOrNew($id, array|string $columns = ['*'])
     * @method Profile first(array|string $columns = ['*'])
     * @method Profile firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Profile firstOrCreate(array $attributes = [], array $values = [])
     * @method Profile firstOrFail(array|string $columns = ['*'])
     * @method Profile firstOrNew(array $attributes = [], array $values = [])
     * @method Profile firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Profile forceCreate(array $attributes)
     * @method Profile forceCreateQuietly(array $attributes = [])
     * @method _IH_Profile_C|Profile[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Profile_C|Profile[] get(array|string $columns = ['*'])
     * @method Profile getModel()
     * @method Profile[] getModels(array|string $columns = ['*'])
     * @method _IH_Profile_C|Profile[] hydrate(array $items)
     * @method _IH_Profile_C|Profile[] lazy(int $chunkSize = 1000)
     * @method _IH_Profile_C|Profile[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Profile_C|Profile[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Profile make(array $attributes = [])
     * @method Profile newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Profile[]|_IH_Profile_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|Profile[]|_IH_Profile_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Profile sole(array|string $columns = ['*'])
     * @method Profile updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Profile_QB extends _BaseBuilder {}

    /**
     * @method Tag|null getOrPut($key, \Closure $value)
     * @method Tag|$this shift(int $count = 1)
     * @method Tag|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Tag|$this pop(int $count = 1)
     * @method Tag|null pull($key, \Closure $default = null)
     * @method Tag|null last(callable $callback = null, \Closure $default = null)
     * @method Tag|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Tag|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Tag|null get($key, \Closure $default = null)
     * @method Tag|null first(callable $callback = null, \Closure $default = null)
     * @method Tag|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Tag|null find($key, $default = null)
     * @method Tag[] all()
     */
    class _IH_Tag_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Tag[][]|Collection<_IH_Tag_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }

    /**
     * @method _IH_Tag_QB whereId($value)
     * @method _IH_Tag_QB whereName($value)
     * @method _IH_Tag_QB whereCreatedAt($value)
     * @method _IH_Tag_QB whereUpdatedAt($value)
     * @method Tag baseSole(array|string $columns = ['*'])
     * @method Tag create(array $attributes = [])
     * @method Tag createOrFirst(array $attributes = [], array $values = [])
     * @method _IH_Tag_C|Tag[] cursor()
     * @method Tag|null|_IH_Tag_C|Tag[] find($id, array|string $columns = ['*'])
     * @method _IH_Tag_C|Tag[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Tag|_IH_Tag_C|Tag[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Tag|_IH_Tag_C|Tag[] findOrFail($id, array|string $columns = ['*'])
     * @method Tag|_IH_Tag_C|Tag[] findOrNew($id, array|string $columns = ['*'])
     * @method Tag first(array|string $columns = ['*'])
     * @method Tag firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Tag firstOrCreate(array $attributes = [], array $values = [])
     * @method Tag firstOrFail(array|string $columns = ['*'])
     * @method Tag firstOrNew(array $attributes = [], array $values = [])
     * @method Tag firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Tag forceCreate(array $attributes)
     * @method Tag forceCreateQuietly(array $attributes = [])
     * @method _IH_Tag_C|Tag[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Tag_C|Tag[] get(array|string $columns = ['*'])
     * @method Tag getModel()
     * @method Tag[] getModels(array|string $columns = ['*'])
     * @method _IH_Tag_C|Tag[] hydrate(array $items)
     * @method _IH_Tag_C|Tag[] lazy(int $chunkSize = 1000)
     * @method _IH_Tag_C|Tag[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Tag_C|Tag[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Tag make(array $attributes = [])
     * @method Tag newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Tag[]|_IH_Tag_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|Tag[]|_IH_Tag_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Tag sole(array|string $columns = ['*'])
     * @method Tag updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Tag_QB extends _BaseBuilder {}

    /**
     * @method Tree|null getOrPut($key, \Closure $value)
     * @method Tree|$this shift(int $count = 1)
     * @method Tree|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Tree|$this pop(int $count = 1)
     * @method Tree|null pull($key, \Closure $default = null)
     * @method Tree|null last(callable $callback = null, \Closure $default = null)
     * @method Tree|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Tree|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Tree|null get($key, \Closure $default = null)
     * @method Tree|null first(callable $callback = null, \Closure $default = null)
     * @method Tree|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Tree|null find($key, $default = null)
     * @method Tree[] all()
     */
    class _IH_Tree_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Tree[][]|Collection<_IH_Tree_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }

    /**
     * @method Tree baseSole(array|string $columns = ['*'])
     * @method Tree create(array $attributes = [])
     * @method Tree createOrFirst(array $attributes = [], array $values = [])
     * @method _IH_Tree_C|Tree[] cursor()
     * @method Tree|null|_IH_Tree_C|Tree[] find($id, array|string $columns = ['*'])
     * @method _IH_Tree_C|Tree[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Tree|_IH_Tree_C|Tree[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Tree|_IH_Tree_C|Tree[] findOrFail($id, array|string $columns = ['*'])
     * @method Tree|_IH_Tree_C|Tree[] findOrNew($id, array|string $columns = ['*'])
     * @method Tree first(array|string $columns = ['*'])
     * @method Tree firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Tree firstOrCreate(array $attributes = [], array $values = [])
     * @method Tree firstOrFail(array|string $columns = ['*'])
     * @method Tree firstOrNew(array $attributes = [], array $values = [])
     * @method Tree firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Tree forceCreate(array $attributes)
     * @method Tree forceCreateQuietly(array $attributes = [])
     * @method _IH_Tree_C|Tree[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Tree_C|Tree[] get(array|string $columns = ['*'])
     * @method Tree getModel()
     * @method Tree[] getModels(array|string $columns = ['*'])
     * @method _IH_Tree_C|Tree[] hydrate(array $items)
     * @method _IH_Tree_C|Tree[] lazy(int $chunkSize = 1000)
     * @method _IH_Tree_C|Tree[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Tree_C|Tree[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Tree make(array $attributes = [])
     * @method Tree newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Tree[]|_IH_Tree_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|Tree[]|_IH_Tree_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Tree sole(array|string $columns = ['*'])
     * @method Tree updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Tree_QB extends _BaseBuilder {}

    /**
     * @method User|null getOrPut($key, \Closure $value)
     * @method User|$this shift(int $count = 1)
     * @method User|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method User|$this pop(int $count = 1)
     * @method User|null pull($key, \Closure $default = null)
     * @method User|null last(callable $callback = null, \Closure $default = null)
     * @method User|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method User|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method User|null get($key, \Closure $default = null)
     * @method User|null first(callable $callback = null, \Closure $default = null)
     * @method User|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method User|null find($key, $default = null)
     * @method User[] all()
     */
    class _IH_User_C extends _BaseCollection {
        /**
         * @param int $size
         * @return User[][]|Collection<_IH_User_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }

    /**
     * @method _IH_User_QB whereId($value)
     * @method _IH_User_QB whereUsername($value)
     * @method _IH_User_QB whereEmail($value)
     * @method _IH_User_QB whereMobile($value)
     * @method _IH_User_QB whereAvatar($value)
     * @method _IH_User_QB wherePassword($value)
     * @method _IH_User_QB whereCreatedAt($value)
     * @method _IH_User_QB whereUpdatedAt($value)
     * @method User baseSole(array|string $columns = ['*'])
     * @method User create(array $attributes = [])
     * @method User createOrFirst(array $attributes = [], array $values = [])
     * @method _IH_User_C|User[] cursor()
     * @method User|null|_IH_User_C|User[] find($id, array|string $columns = ['*'])
     * @method _IH_User_C|User[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method User|_IH_User_C|User[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method User|_IH_User_C|User[] findOrFail($id, array|string $columns = ['*'])
     * @method User|_IH_User_C|User[] findOrNew($id, array|string $columns = ['*'])
     * @method User first(array|string $columns = ['*'])
     * @method User firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method User firstOrCreate(array $attributes = [], array $values = [])
     * @method User firstOrFail(array|string $columns = ['*'])
     * @method User firstOrNew(array $attributes = [], array $values = [])
     * @method User firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method User forceCreate(array $attributes)
     * @method User forceCreateQuietly(array $attributes = [])
     * @method _IH_User_C|User[] fromQuery(string $query, array $bindings = [])
     * @method _IH_User_C|User[] get(array|string $columns = ['*'])
     * @method User getModel()
     * @method User[] getModels(array|string $columns = ['*'])
     * @method _IH_User_C|User[] hydrate(array $items)
     * @method _IH_User_C|User[] lazy(int $chunkSize = 1000)
     * @method _IH_User_C|User[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_User_C|User[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method User make(array $attributes = [])
     * @method User newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|User[]|_IH_User_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|User[]|_IH_User_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method User sole(array|string $columns = ['*'])
     * @method User updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_User_QB extends _BaseBuilder {}
}
