<?php //34b727f7fe13b2dc6061ab025430b0be
/** @noinspection all */

namespace LaravelIdea\Helper\App\Models {

    use App\Models\Cart;
    use App\Models\Category;
    use App\Models\Country;
    use App\Models\Paypal;
    use App\Models\Product;
    use App\Models\Series;
    use App\Models\User;
    use Illuminate\Contracts\Database\Query\Expression;
    use Illuminate\Contracts\Support\Arrayable;
    use Illuminate\Pagination\LengthAwarePaginator;
    use Illuminate\Pagination\Paginator;
    use Illuminate\Support\Collection;
    use LaravelIdea\Helper\_BaseBuilder;
    use LaravelIdea\Helper\_BaseCollection;

    /**
     * @method Cart|null getOrPut($key, \Closure $value)
     * @method Cart|$this shift(int $count = 1)
     * @method Cart|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Cart|$this pop(int $count = 1)
     * @method Cart|null pull($key, \Closure $default = null)
     * @method Cart|null last(callable $callback = null, \Closure $default = null)
     * @method Cart|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Cart|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Cart|null get($key, \Closure $default = null)
     * @method Cart|null first(callable $callback = null, \Closure $default = null)
     * @method Cart|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Cart|null find($key, $default = null)
     * @method Cart[] all()
     */
    class _IH_Cart_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Cart[][]|Collection<_IH_Cart_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }

    /**
     * @method Cart baseSole(array|string $columns = ['*'])
     * @method Cart create(array $attributes = [])
     * @method Cart createOrFirst(array $attributes = [], array $values = [])
     * @method _IH_Cart_C|Cart[] cursor()
     * @method Cart|null|_IH_Cart_C|Cart[] find($id, array|string $columns = ['*'])
     * @method _IH_Cart_C|Cart[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Cart|_IH_Cart_C|Cart[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Cart|_IH_Cart_C|Cart[] findOrFail($id, array|string $columns = ['*'])
     * @method Cart|_IH_Cart_C|Cart[] findOrNew($id, array|string $columns = ['*'])
     * @method Cart first(array|string $columns = ['*'])
     * @method Cart firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Cart firstOrCreate(array $attributes = [], array $values = [])
     * @method Cart firstOrFail(array|string $columns = ['*'])
     * @method Cart firstOrNew(array $attributes = [], array $values = [])
     * @method Cart firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Cart forceCreate(array $attributes)
     * @method Cart forceCreateQuietly(array $attributes = [])
     * @method _IH_Cart_C|Cart[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Cart_C|Cart[] get(array|string $columns = ['*'])
     * @method Cart getModel()
     * @method Cart[] getModels(array|string $columns = ['*'])
     * @method _IH_Cart_C|Cart[] hydrate(array $items)
     * @method _IH_Cart_C|Cart[] lazy(int $chunkSize = 1000)
     * @method _IH_Cart_C|Cart[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Cart_C|Cart[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Cart make(array $attributes = [])
     * @method Cart newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Cart[]|_IH_Cart_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|Cart[]|_IH_Cart_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Cart sole(array|string $columns = ['*'])
     * @method Cart updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Cart_QB extends _BaseBuilder {}

    /**
     * @method Category|null getOrPut($key, \Closure $value)
     * @method Category|$this shift(int $count = 1)
     * @method Category|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Category|$this pop(int $count = 1)
     * @method Category|null pull($key, \Closure $default = null)
     * @method Category|null last(callable $callback = null, \Closure $default = null)
     * @method Category|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Category|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Category|null get($key, \Closure $default = null)
     * @method Category|null first(callable $callback = null, \Closure $default = null)
     * @method Category|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Category|null find($key, $default = null)
     * @method Category[] all()
     */
    class _IH_Category_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Category[][]|Collection<_IH_Category_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }

    /**
     * @method Category baseSole(array|string $columns = ['*'])
     * @method Category create(array $attributes = [])
     * @method Category createOrFirst(array $attributes = [], array $values = [])
     * @method _IH_Category_C|Category[] cursor()
     * @method Category|null|_IH_Category_C|Category[] find($id, array|string $columns = ['*'])
     * @method _IH_Category_C|Category[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Category|_IH_Category_C|Category[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Category|_IH_Category_C|Category[] findOrFail($id, array|string $columns = ['*'])
     * @method Category|_IH_Category_C|Category[] findOrNew($id, array|string $columns = ['*'])
     * @method Category first(array|string $columns = ['*'])
     * @method Category firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Category firstOrCreate(array $attributes = [], array $values = [])
     * @method Category firstOrFail(array|string $columns = ['*'])
     * @method Category firstOrNew(array $attributes = [], array $values = [])
     * @method Category firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Category forceCreate(array $attributes)
     * @method Category forceCreateQuietly(array $attributes = [])
     * @method _IH_Category_C|Category[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Category_C|Category[] get(array|string $columns = ['*'])
     * @method Category getModel()
     * @method Category[] getModels(array|string $columns = ['*'])
     * @method _IH_Category_C|Category[] hydrate(array $items)
     * @method _IH_Category_C|Category[] lazy(int $chunkSize = 1000)
     * @method _IH_Category_C|Category[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Category_C|Category[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Category make(array $attributes = [])
     * @method Category newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Category[]|_IH_Category_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|Category[]|_IH_Category_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Category sole(array|string $columns = ['*'])
     * @method Category updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Category_QB extends _BaseBuilder {}

    /**
     * @method Country|null getOrPut($key, \Closure $value)
     * @method Country|$this shift(int $count = 1)
     * @method Country|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Country|$this pop(int $count = 1)
     * @method Country|null pull($key, \Closure $default = null)
     * @method Country|null last(callable $callback = null, \Closure $default = null)
     * @method Country|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Country|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Country|null get($key, \Closure $default = null)
     * @method Country|null first(callable $callback = null, \Closure $default = null)
     * @method Country|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Country|null find($key, $default = null)
     * @method Country[] all()
     */
    class _IH_Country_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Country[][]|Collection<_IH_Country_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }

    /**
     * @method Country baseSole(array|string $columns = ['*'])
     * @method Country create(array $attributes = [])
     * @method Country createOrFirst(array $attributes = [], array $values = [])
     * @method _IH_Country_C|Country[] cursor()
     * @method Country|null|_IH_Country_C|Country[] find($id, array|string $columns = ['*'])
     * @method _IH_Country_C|Country[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Country|_IH_Country_C|Country[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Country|_IH_Country_C|Country[] findOrFail($id, array|string $columns = ['*'])
     * @method Country|_IH_Country_C|Country[] findOrNew($id, array|string $columns = ['*'])
     * @method Country first(array|string $columns = ['*'])
     * @method Country firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Country firstOrCreate(array $attributes = [], array $values = [])
     * @method Country firstOrFail(array|string $columns = ['*'])
     * @method Country firstOrNew(array $attributes = [], array $values = [])
     * @method Country firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Country forceCreate(array $attributes)
     * @method Country forceCreateQuietly(array $attributes = [])
     * @method _IH_Country_C|Country[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Country_C|Country[] get(array|string $columns = ['*'])
     * @method Country getModel()
     * @method Country[] getModels(array|string $columns = ['*'])
     * @method _IH_Country_C|Country[] hydrate(array $items)
     * @method _IH_Country_C|Country[] lazy(int $chunkSize = 1000)
     * @method _IH_Country_C|Country[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Country_C|Country[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Country make(array $attributes = [])
     * @method Country newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Country[]|_IH_Country_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|Country[]|_IH_Country_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Country sole(array|string $columns = ['*'])
     * @method Country updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Country_QB extends _BaseBuilder {}

    /**
     * @method Paypal|null getOrPut($key, \Closure $value)
     * @method Paypal|$this shift(int $count = 1)
     * @method Paypal|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Paypal|$this pop(int $count = 1)
     * @method Paypal|null pull($key, \Closure $default = null)
     * @method Paypal|null last(callable $callback = null, \Closure $default = null)
     * @method Paypal|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Paypal|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Paypal|null get($key, \Closure $default = null)
     * @method Paypal|null first(callable $callback = null, \Closure $default = null)
     * @method Paypal|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Paypal|null find($key, $default = null)
     * @method Paypal[] all()
     */
    class _IH_Paypal_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Paypal[][]|Collection<_IH_Paypal_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }

    /**
     * @method Paypal baseSole(array|string $columns = ['*'])
     * @method Paypal create(array $attributes = [])
     * @method Paypal createOrFirst(array $attributes = [], array $values = [])
     * @method _IH_Paypal_C|Paypal[] cursor()
     * @method Paypal|null|_IH_Paypal_C|Paypal[] find($id, array|string $columns = ['*'])
     * @method _IH_Paypal_C|Paypal[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Paypal|_IH_Paypal_C|Paypal[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Paypal|_IH_Paypal_C|Paypal[] findOrFail($id, array|string $columns = ['*'])
     * @method Paypal|_IH_Paypal_C|Paypal[] findOrNew($id, array|string $columns = ['*'])
     * @method Paypal first(array|string $columns = ['*'])
     * @method Paypal firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Paypal firstOrCreate(array $attributes = [], array $values = [])
     * @method Paypal firstOrFail(array|string $columns = ['*'])
     * @method Paypal firstOrNew(array $attributes = [], array $values = [])
     * @method Paypal firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Paypal forceCreate(array $attributes)
     * @method Paypal forceCreateQuietly(array $attributes = [])
     * @method _IH_Paypal_C|Paypal[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Paypal_C|Paypal[] get(array|string $columns = ['*'])
     * @method Paypal getModel()
     * @method Paypal[] getModels(array|string $columns = ['*'])
     * @method _IH_Paypal_C|Paypal[] hydrate(array $items)
     * @method _IH_Paypal_C|Paypal[] lazy(int $chunkSize = 1000)
     * @method _IH_Paypal_C|Paypal[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Paypal_C|Paypal[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Paypal make(array $attributes = [])
     * @method Paypal newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Paypal[]|_IH_Paypal_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|Paypal[]|_IH_Paypal_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paypal sole(array|string $columns = ['*'])
     * @method Paypal updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Paypal_QB extends _BaseBuilder {}

    /**
     * @method Product|null getOrPut($key, \Closure $value)
     * @method Product|$this shift(int $count = 1)
     * @method Product|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Product|$this pop(int $count = 1)
     * @method Product|null pull($key, \Closure $default = null)
     * @method Product|null last(callable $callback = null, \Closure $default = null)
     * @method Product|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Product|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Product|null get($key, \Closure $default = null)
     * @method Product|null first(callable $callback = null, \Closure $default = null)
     * @method Product|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Product|null find($key, $default = null)
     * @method Product[] all()
     */
    class _IH_Product_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Product[][]|Collection<_IH_Product_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }

    /**
     * @method Product baseSole(array|string $columns = ['*'])
     * @method Product create(array $attributes = [])
     * @method Product createOrFirst(array $attributes = [], array $values = [])
     * @method _IH_Product_C|Product[] cursor()
     * @method Product|null|_IH_Product_C|Product[] find($id, array|string $columns = ['*'])
     * @method _IH_Product_C|Product[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Product|_IH_Product_C|Product[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Product|_IH_Product_C|Product[] findOrFail($id, array|string $columns = ['*'])
     * @method Product|_IH_Product_C|Product[] findOrNew($id, array|string $columns = ['*'])
     * @method Product first(array|string $columns = ['*'])
     * @method Product firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Product firstOrCreate(array $attributes = [], array $values = [])
     * @method Product firstOrFail(array|string $columns = ['*'])
     * @method Product firstOrNew(array $attributes = [], array $values = [])
     * @method Product firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Product forceCreate(array $attributes)
     * @method Product forceCreateQuietly(array $attributes = [])
     * @method _IH_Product_C|Product[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Product_C|Product[] get(array|string $columns = ['*'])
     * @method Product getModel()
     * @method Product[] getModels(array|string $columns = ['*'])
     * @method _IH_Product_C|Product[] hydrate(array $items)
     * @method _IH_Product_C|Product[] lazy(int $chunkSize = 1000)
     * @method _IH_Product_C|Product[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Product_C|Product[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Product make(array $attributes = [])
     * @method Product newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Product[]|_IH_Product_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|Product[]|_IH_Product_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Product sole(array|string $columns = ['*'])
     * @method Product updateOrCreate(array $attributes, array $values = [])
     * @method _IH_Product_QB sortBy(string $sort)
     */
    class _IH_Product_QB extends _BaseBuilder {}

    /**
     * @method Series|null getOrPut($key, \Closure $value)
     * @method Series|$this shift(int $count = 1)
     * @method Series|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Series|$this pop(int $count = 1)
     * @method Series|null pull($key, \Closure $default = null)
     * @method Series|null last(callable $callback = null, \Closure $default = null)
     * @method Series|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Series|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Series|null get($key, \Closure $default = null)
     * @method Series|null first(callable $callback = null, \Closure $default = null)
     * @method Series|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Series|null find($key, $default = null)
     * @method Series[] all()
     */
    class _IH_Series_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Series[][]|Collection<_IH_Series_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }

    /**
     * @method Series baseSole(array|string $columns = ['*'])
     * @method Series create(array $attributes = [])
     * @method Series createOrFirst(array $attributes = [], array $values = [])
     * @method _IH_Series_C|Series[] cursor()
     * @method Series|null|_IH_Series_C|Series[] find($id, array|string $columns = ['*'])
     * @method _IH_Series_C|Series[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Series|_IH_Series_C|Series[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Series|_IH_Series_C|Series[] findOrFail($id, array|string $columns = ['*'])
     * @method Series|_IH_Series_C|Series[] findOrNew($id, array|string $columns = ['*'])
     * @method Series first(array|string $columns = ['*'])
     * @method Series firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Series firstOrCreate(array $attributes = [], array $values = [])
     * @method Series firstOrFail(array|string $columns = ['*'])
     * @method Series firstOrNew(array $attributes = [], array $values = [])
     * @method Series firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Series forceCreate(array $attributes)
     * @method Series forceCreateQuietly(array $attributes = [])
     * @method _IH_Series_C|Series[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Series_C|Series[] get(array|string $columns = ['*'])
     * @method Series getModel()
     * @method Series[] getModels(array|string $columns = ['*'])
     * @method _IH_Series_C|Series[] hydrate(array $items)
     * @method _IH_Series_C|Series[] lazy(int $chunkSize = 1000)
     * @method _IH_Series_C|Series[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Series_C|Series[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Series make(array $attributes = [])
     * @method Series newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Series[]|_IH_Series_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|Series[]|_IH_Series_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Series sole(array|string $columns = ['*'])
     * @method Series updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Series_QB extends _BaseBuilder {}

    /**
     * @method User|null getOrPut($key, \Closure $value)
     * @method User|$this shift(int $count = 1)
     * @method User|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method User|$this pop(int $count = 1)
     * @method User|null pull($key, \Closure $default = null)
     * @method User|null last(callable $callback = null, \Closure $default = null)
     * @method User|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method User|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method User|null get($key, \Closure $default = null)
     * @method User|null first(callable $callback = null, \Closure $default = null)
     * @method User|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method User|null find($key, $default = null)
     * @method User[] all()
     */
    class _IH_User_C extends _BaseCollection {
        /**
         * @param int $size
         * @return User[][]|Collection<_IH_User_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }

    /**
     * @method _IH_User_QB whereId($value)
     * @method _IH_User_QB whereName($value)
     * @method _IH_User_QB whereEmail($value)
     * @method _IH_User_QB whereEmailVerifiedAt($value)
     * @method _IH_User_QB wherePassword($value)
     * @method _IH_User_QB whereRememberToken($value)
     * @method _IH_User_QB whereCreatedAt($value)
     * @method _IH_User_QB whereUpdatedAt($value)
     * @method User baseSole(array|string $columns = ['*'])
     * @method User create(array $attributes = [])
     * @method User createOrFirst(array $attributes = [], array $values = [])
     * @method _IH_User_C|User[] cursor()
     * @method User|null|_IH_User_C|User[] find($id, array|string $columns = ['*'])
     * @method _IH_User_C|User[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method User|_IH_User_C|User[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method User|_IH_User_C|User[] findOrFail($id, array|string $columns = ['*'])
     * @method User|_IH_User_C|User[] findOrNew($id, array|string $columns = ['*'])
     * @method User first(array|string $columns = ['*'])
     * @method User firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method User firstOrCreate(array $attributes = [], array $values = [])
     * @method User firstOrFail(array|string $columns = ['*'])
     * @method User firstOrNew(array $attributes = [], array $values = [])
     * @method User firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method User forceCreate(array $attributes)
     * @method User forceCreateQuietly(array $attributes = [])
     * @method _IH_User_C|User[] fromQuery(string $query, array $bindings = [])
     * @method _IH_User_C|User[] get(array|string $columns = ['*'])
     * @method User getModel()
     * @method User[] getModels(array|string $columns = ['*'])
     * @method _IH_User_C|User[] hydrate(array $items)
     * @method _IH_User_C|User[] lazy(int $chunkSize = 1000)
     * @method _IH_User_C|User[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_User_C|User[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method User make(array $attributes = [])
     * @method User newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|User[]|_IH_User_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|User[]|_IH_User_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method User sole(array|string $columns = ['*'])
     * @method User updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_User_QB extends _BaseBuilder {}
}
