<?php //86d196e65c6ab99bb485e8947d055aaa
/** @noinspection all */

namespace LaravelIdea\Helper\Constantine\Admin\Models {

    use Constantine\Admin\Models\Category;
    use Constantine\Admin\Models\CategorySort;
    use Constantine\Admin\Models\Country;
    use Constantine\Admin\Models\Database;
    use Constantine\Admin\Models\Index;
    use Constantine\Admin\Models\ShipDate;
    use Illuminate\Contracts\Database\Query\Expression;
    use Illuminate\Contracts\Support\Arrayable;
    use Illuminate\Pagination\LengthAwarePaginator;
    use Illuminate\Pagination\Paginator;
    use Illuminate\Support\Collection;
    use LaravelIdea\Helper\_BaseBuilder;
    use LaravelIdea\Helper\_BaseCollection;

    /**
     * @method CategorySort|null getOrPut($key, \Closure $value)
     * @method CategorySort|$this shift(int $count = 1)
     * @method CategorySort|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method CategorySort|$this pop(int $count = 1)
     * @method CategorySort|null pull($key, \Closure $default = null)
     * @method CategorySort|null last(callable $callback = null, \Closure $default = null)
     * @method CategorySort|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method CategorySort|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method CategorySort|null get($key, \Closure $default = null)
     * @method CategorySort|null first(callable $callback = null, \Closure $default = null)
     * @method CategorySort|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method CategorySort|null find($key, $default = null)
     * @method CategorySort[] all()
     */
    class _IH_CategorySort_C extends _BaseCollection {
        /**
         * @param int $size
         * @return CategorySort[][]|Collection<_IH_CategorySort_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }

    /**
     * @method CategorySort baseSole(array|string $columns = ['*'])
     * @method CategorySort create(array $attributes = [])
     * @method CategorySort createOrFirst(array $attributes = [], array $values = [])
     * @method _IH_CategorySort_C|CategorySort[] cursor()
     * @method CategorySort|null|_IH_CategorySort_C|CategorySort[] find($id, array|string $columns = ['*'])
     * @method _IH_CategorySort_C|CategorySort[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method CategorySort|_IH_CategorySort_C|CategorySort[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method CategorySort|_IH_CategorySort_C|CategorySort[] findOrFail($id, array|string $columns = ['*'])
     * @method CategorySort|_IH_CategorySort_C|CategorySort[] findOrNew($id, array|string $columns = ['*'])
     * @method CategorySort first(array|string $columns = ['*'])
     * @method CategorySort firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method CategorySort firstOrCreate(array $attributes = [], array $values = [])
     * @method CategorySort firstOrFail(array|string $columns = ['*'])
     * @method CategorySort firstOrNew(array $attributes = [], array $values = [])
     * @method CategorySort firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method CategorySort forceCreate(array $attributes)
     * @method CategorySort forceCreateQuietly(array $attributes = [])
     * @method _IH_CategorySort_C|CategorySort[] fromQuery(string $query, array $bindings = [])
     * @method _IH_CategorySort_C|CategorySort[] get(array|string $columns = ['*'])
     * @method CategorySort getModel()
     * @method CategorySort[] getModels(array|string $columns = ['*'])
     * @method _IH_CategorySort_C|CategorySort[] hydrate(array $items)
     * @method _IH_CategorySort_C|CategorySort[] lazy(int $chunkSize = 1000)
     * @method _IH_CategorySort_C|CategorySort[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_CategorySort_C|CategorySort[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method CategorySort make(array $attributes = [])
     * @method CategorySort newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|CategorySort[]|_IH_CategorySort_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|CategorySort[]|_IH_CategorySort_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method CategorySort sole(array|string $columns = ['*'])
     * @method CategorySort updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_CategorySort_QB extends _BaseBuilder {}

    /**
     * @method Category|null getOrPut($key, \Closure $value)
     * @method Category|$this shift(int $count = 1)
     * @method Category|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Category|$this pop(int $count = 1)
     * @method Category|null pull($key, \Closure $default = null)
     * @method Category|null last(callable $callback = null, \Closure $default = null)
     * @method Category|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Category|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Category|null get($key, \Closure $default = null)
     * @method Category|null first(callable $callback = null, \Closure $default = null)
     * @method Category|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Category|null find($key, $default = null)
     * @method Category[] all()
     */
    class _IH_Category_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Category[][]|Collection<_IH_Category_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }

    /**
     * @method Category baseSole(array|string $columns = ['*'])
     * @method Category create(array $attributes = [])
     * @method Category createOrFirst(array $attributes = [], array $values = [])
     * @method _IH_Category_C|Category[] cursor()
     * @method Category|null|_IH_Category_C|Category[] find($id, array|string $columns = ['*'])
     * @method _IH_Category_C|Category[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Category|_IH_Category_C|Category[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Category|_IH_Category_C|Category[] findOrFail($id, array|string $columns = ['*'])
     * @method Category|_IH_Category_C|Category[] findOrNew($id, array|string $columns = ['*'])
     * @method Category first(array|string $columns = ['*'])
     * @method Category firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Category firstOrCreate(array $attributes = [], array $values = [])
     * @method Category firstOrFail(array|string $columns = ['*'])
     * @method Category firstOrNew(array $attributes = [], array $values = [])
     * @method Category firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Category forceCreate(array $attributes)
     * @method Category forceCreateQuietly(array $attributes = [])
     * @method _IH_Category_C|Category[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Category_C|Category[] get(array|string $columns = ['*'])
     * @method Category getModel()
     * @method Category[] getModels(array|string $columns = ['*'])
     * @method _IH_Category_C|Category[] hydrate(array $items)
     * @method _IH_Category_C|Category[] lazy(int $chunkSize = 1000)
     * @method _IH_Category_C|Category[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Category_C|Category[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Category make(array $attributes = [])
     * @method Category newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Category[]|_IH_Category_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|Category[]|_IH_Category_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Category sole(array|string $columns = ['*'])
     * @method Category updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Category_QB extends _BaseBuilder {}

    /**
     * @method Country|null getOrPut($key, \Closure $value)
     * @method Country|$this shift(int $count = 1)
     * @method Country|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Country|$this pop(int $count = 1)
     * @method Country|null pull($key, \Closure $default = null)
     * @method Country|null last(callable $callback = null, \Closure $default = null)
     * @method Country|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Country|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Country|null get($key, \Closure $default = null)
     * @method Country|null first(callable $callback = null, \Closure $default = null)
     * @method Country|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Country|null find($key, $default = null)
     * @method Country[] all()
     */
    class _IH_Country_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Country[][]|Collection<_IH_Country_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }

    /**
     * @method Country baseSole(array|string $columns = ['*'])
     * @method Country create(array $attributes = [])
     * @method Country createOrFirst(array $attributes = [], array $values = [])
     * @method _IH_Country_C|Country[] cursor()
     * @method Country|null|_IH_Country_C|Country[] find($id, array|string $columns = ['*'])
     * @method _IH_Country_C|Country[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Country|_IH_Country_C|Country[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Country|_IH_Country_C|Country[] findOrFail($id, array|string $columns = ['*'])
     * @method Country|_IH_Country_C|Country[] findOrNew($id, array|string $columns = ['*'])
     * @method Country first(array|string $columns = ['*'])
     * @method Country firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Country firstOrCreate(array $attributes = [], array $values = [])
     * @method Country firstOrFail(array|string $columns = ['*'])
     * @method Country firstOrNew(array $attributes = [], array $values = [])
     * @method Country firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Country forceCreate(array $attributes)
     * @method Country forceCreateQuietly(array $attributes = [])
     * @method _IH_Country_C|Country[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Country_C|Country[] get(array|string $columns = ['*'])
     * @method Country getModel()
     * @method Country[] getModels(array|string $columns = ['*'])
     * @method _IH_Country_C|Country[] hydrate(array $items)
     * @method _IH_Country_C|Country[] lazy(int $chunkSize = 1000)
     * @method _IH_Country_C|Country[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Country_C|Country[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Country make(array $attributes = [])
     * @method Country newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Country[]|_IH_Country_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|Country[]|_IH_Country_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Country sole(array|string $columns = ['*'])
     * @method Country updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Country_QB extends _BaseBuilder {}

    /**
     * @method Database|null getOrPut($key, \Closure $value)
     * @method Database|$this shift(int $count = 1)
     * @method Database|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Database|$this pop(int $count = 1)
     * @method Database|null pull($key, \Closure $default = null)
     * @method Database|null last(callable $callback = null, \Closure $default = null)
     * @method Database|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Database|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Database|null get($key, \Closure $default = null)
     * @method Database|null first(callable $callback = null, \Closure $default = null)
     * @method Database|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Database|null find($key, $default = null)
     * @method Database[] all()
     */
    class _IH_Database_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Database[][]|Collection<_IH_Database_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }

    /**
     * @method Database baseSole(array|string $columns = ['*'])
     * @method Database create(array $attributes = [])
     * @method Database createOrFirst(array $attributes = [], array $values = [])
     * @method _IH_Database_C|Database[] cursor()
     * @method Database|null|_IH_Database_C|Database[] find($id, array|string $columns = ['*'])
     * @method _IH_Database_C|Database[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Database|_IH_Database_C|Database[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Database|_IH_Database_C|Database[] findOrFail($id, array|string $columns = ['*'])
     * @method Database|_IH_Database_C|Database[] findOrNew($id, array|string $columns = ['*'])
     * @method Database first(array|string $columns = ['*'])
     * @method Database firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Database firstOrCreate(array $attributes = [], array $values = [])
     * @method Database firstOrFail(array|string $columns = ['*'])
     * @method Database firstOrNew(array $attributes = [], array $values = [])
     * @method Database firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Database forceCreate(array $attributes)
     * @method Database forceCreateQuietly(array $attributes = [])
     * @method _IH_Database_C|Database[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Database_C|Database[] get(array|string $columns = ['*'])
     * @method Database getModel()
     * @method Database[] getModels(array|string $columns = ['*'])
     * @method _IH_Database_C|Database[] hydrate(array $items)
     * @method _IH_Database_C|Database[] lazy(int $chunkSize = 1000)
     * @method _IH_Database_C|Database[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Database_C|Database[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Database make(array $attributes = [])
     * @method Database newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Database[]|_IH_Database_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|Database[]|_IH_Database_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Database sole(array|string $columns = ['*'])
     * @method Database updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Database_QB extends _BaseBuilder {}

    /**
     * @method Index|null getOrPut($key, \Closure $value)
     * @method Index|$this shift(int $count = 1)
     * @method Index|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Index|$this pop(int $count = 1)
     * @method Index|null pull($key, \Closure $default = null)
     * @method Index|null last(callable $callback = null, \Closure $default = null)
     * @method Index|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Index|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Index|null get($key, \Closure $default = null)
     * @method Index|null first(callable $callback = null, \Closure $default = null)
     * @method Index|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Index|null find($key, $default = null)
     * @method Index[] all()
     */
    class _IH_Index_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Index[][]|Collection<_IH_Index_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }

    /**
     * @method Index baseSole(array|string $columns = ['*'])
     * @method Index create(array $attributes = [])
     * @method Index createOrFirst(array $attributes = [], array $values = [])
     * @method _IH_Index_C|Index[] cursor()
     * @method Index|null|_IH_Index_C|Index[] find($id, array|string $columns = ['*'])
     * @method _IH_Index_C|Index[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Index|_IH_Index_C|Index[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Index|_IH_Index_C|Index[] findOrFail($id, array|string $columns = ['*'])
     * @method Index|_IH_Index_C|Index[] findOrNew($id, array|string $columns = ['*'])
     * @method Index first(array|string $columns = ['*'])
     * @method Index firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Index firstOrCreate(array $attributes = [], array $values = [])
     * @method Index firstOrFail(array|string $columns = ['*'])
     * @method Index firstOrNew(array $attributes = [], array $values = [])
     * @method Index firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Index forceCreate(array $attributes)
     * @method Index forceCreateQuietly(array $attributes = [])
     * @method _IH_Index_C|Index[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Index_C|Index[] get(array|string $columns = ['*'])
     * @method Index getModel()
     * @method Index[] getModels(array|string $columns = ['*'])
     * @method _IH_Index_C|Index[] hydrate(array $items)
     * @method _IH_Index_C|Index[] lazy(int $chunkSize = 1000)
     * @method _IH_Index_C|Index[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Index_C|Index[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Index make(array $attributes = [])
     * @method Index newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Index[]|_IH_Index_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|Index[]|_IH_Index_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Index sole(array|string $columns = ['*'])
     * @method Index updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Index_QB extends _BaseBuilder {}

    /**
     * @method ShipDate|null getOrPut($key, \Closure $value)
     * @method ShipDate|$this shift(int $count = 1)
     * @method ShipDate|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method ShipDate|$this pop(int $count = 1)
     * @method ShipDate|null pull($key, \Closure $default = null)
     * @method ShipDate|null last(callable $callback = null, \Closure $default = null)
     * @method ShipDate|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method ShipDate|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method ShipDate|null get($key, \Closure $default = null)
     * @method ShipDate|null first(callable $callback = null, \Closure $default = null)
     * @method ShipDate|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method ShipDate|null find($key, $default = null)
     * @method ShipDate[] all()
     */
    class _IH_ShipDate_C extends _BaseCollection {
        /**
         * @param int $size
         * @return ShipDate[][]|Collection<_IH_ShipDate_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }

    /**
     * @method ShipDate baseSole(array|string $columns = ['*'])
     * @method ShipDate create(array $attributes = [])
     * @method ShipDate createOrFirst(array $attributes = [], array $values = [])
     * @method _IH_ShipDate_C|ShipDate[] cursor()
     * @method ShipDate|null|_IH_ShipDate_C|ShipDate[] find($id, array|string $columns = ['*'])
     * @method _IH_ShipDate_C|ShipDate[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method ShipDate|_IH_ShipDate_C|ShipDate[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ShipDate|_IH_ShipDate_C|ShipDate[] findOrFail($id, array|string $columns = ['*'])
     * @method ShipDate|_IH_ShipDate_C|ShipDate[] findOrNew($id, array|string $columns = ['*'])
     * @method ShipDate first(array|string $columns = ['*'])
     * @method ShipDate firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ShipDate firstOrCreate(array $attributes = [], array $values = [])
     * @method ShipDate firstOrFail(array|string $columns = ['*'])
     * @method ShipDate firstOrNew(array $attributes = [], array $values = [])
     * @method ShipDate firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method ShipDate forceCreate(array $attributes)
     * @method ShipDate forceCreateQuietly(array $attributes = [])
     * @method _IH_ShipDate_C|ShipDate[] fromQuery(string $query, array $bindings = [])
     * @method _IH_ShipDate_C|ShipDate[] get(array|string $columns = ['*'])
     * @method ShipDate getModel()
     * @method ShipDate[] getModels(array|string $columns = ['*'])
     * @method _IH_ShipDate_C|ShipDate[] hydrate(array $items)
     * @method _IH_ShipDate_C|ShipDate[] lazy(int $chunkSize = 1000)
     * @method _IH_ShipDate_C|ShipDate[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_ShipDate_C|ShipDate[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method ShipDate make(array $attributes = [])
     * @method ShipDate newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|ShipDate[]|_IH_ShipDate_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|ShipDate[]|_IH_ShipDate_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method ShipDate sole(array|string $columns = ['*'])
     * @method ShipDate updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_ShipDate_QB extends _BaseBuilder {}
}
