<?php //fe8d14632454cbff5be5ce766a2820ea
/** @noinspection all */

namespace Constantine\Admin\Models {

    use App\Models\Category as ModelsCategory;
    use App\Models\Product;
    use Illuminate\Database\Eloquent\Model;
    use Illuminate\Database\Eloquent\Relations\BelongsTo;
    use Illuminate\Database\Eloquent\Relations\HasMany;
    use Illuminate\Database\Eloquent\Relations\HasOne;
    use LaravelIdea\Helper\App\Models\_IH_Category_QB as Models_IH_Category_QB;
    use LaravelIdea\Helper\App\Models\_IH_Product_C;
    use LaravelIdea\Helper\App\Models\_IH_Product_QB;
    use LaravelIdea\Helper\Constantine\Admin\Models\_IH_CategorySort_C;
    use LaravelIdea\Helper\Constantine\Admin\Models\_IH_CategorySort_QB;
    use LaravelIdea\Helper\Constantine\Admin\Models\_IH_Category_C;
    use LaravelIdea\Helper\Constantine\Admin\Models\_IH_Category_QB;
    use LaravelIdea\Helper\Constantine\Admin\Models\_IH_Country_C;
    use LaravelIdea\Helper\Constantine\Admin\Models\_IH_Country_QB;
    use LaravelIdea\Helper\Constantine\Admin\Models\_IH_Database_C;
    use LaravelIdea\Helper\Constantine\Admin\Models\_IH_Database_QB;
    use LaravelIdea\Helper\Constantine\Admin\Models\_IH_Index_C;
    use LaravelIdea\Helper\Constantine\Admin\Models\_IH_Index_QB;
    use LaravelIdea\Helper\Constantine\Admin\Models\_IH_ShipDate_C;
    use LaravelIdea\Helper\Constantine\Admin\Models\_IH_ShipDate_QB;

    /**
     * @property-read $url attribute
     * @property Product $cate
     * @method HasOne|_IH_Product_QB cate()
     * @property CategorySort $sort
     * @method HasOne|_IH_CategorySort_QB sort()
     * @method static _IH_Category_QB onWriteConnection()
     * @method _IH_Category_QB newQuery()
     * @method static _IH_Category_QB on(null|string $connection = null)
     * @method static _IH_Category_QB query()
     * @method static _IH_Category_QB with(array|string $relations)
     * @method _IH_Category_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_Category_C|Category[] all()
     * @mixin _IH_Category_QB
     */
    class Category extends Model {}

    /**
     * @property Category $category
     * @method BelongsTo|_IH_Category_QB category()
     * @property _IH_Product_C|Product[] $products
     * @property-read int $products_count
     * @method HasMany|_IH_Product_QB products()
     * @method static _IH_CategorySort_QB onWriteConnection()
     * @method _IH_CategorySort_QB newQuery()
     * @method static _IH_CategorySort_QB on(null|string $connection = null)
     * @method static _IH_CategorySort_QB query()
     * @method static _IH_CategorySort_QB with(array|string $relations)
     * @method _IH_CategorySort_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_CategorySort_C|CategorySort[] all()
     * @mixin _IH_CategorySort_QB
     */
    class CategorySort extends Model {}

    /**
     * @method static _IH_Country_QB onWriteConnection()
     * @method _IH_Country_QB newQuery()
     * @method static _IH_Country_QB on(null|string $connection = null)
     * @method static _IH_Country_QB query()
     * @method static _IH_Country_QB with(array|string $relations)
     * @method _IH_Country_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_Country_C|Country[] all()
     * @mixin _IH_Country_QB
     */
    class Country extends Model {}

    /**
     * @method static _IH_Database_QB onWriteConnection()
     * @method _IH_Database_QB newQuery()
     * @method static _IH_Database_QB on(null|string $connection = null)
     * @method static _IH_Database_QB query()
     * @method static _IH_Database_QB with(array|string $relations)
     * @method _IH_Database_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_Database_C|Database[] all()
     * @mixin _IH_Database_QB
     */
    class Database extends Model {}

    /**
     * @property ModelsCategory $categories
     * @method HasOne|Models_IH_Category_QB categories()
     * @property ModelsCategory $category
     * @method HasOne|Models_IH_Category_QB category()
     * @property _IH_Product_C|Product[] $products
     * @property-read int $products_count
     * @method HasMany|_IH_Product_QB products()
     * @method static _IH_Index_QB onWriteConnection()
     * @method _IH_Index_QB newQuery()
     * @method static _IH_Index_QB on(null|string $connection = null)
     * @method static _IH_Index_QB query()
     * @method static _IH_Index_QB with(array|string $relations)
     * @method _IH_Index_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_Index_C|Index[] all()
     * @mixin _IH_Index_QB
     */
    class Index extends Model {}

    /**
     * @method static _IH_ShipDate_QB onWriteConnection()
     * @method _IH_ShipDate_QB newQuery()
     * @method static _IH_ShipDate_QB on(null|string $connection = null)
     * @method static _IH_ShipDate_QB query()
     * @method static _IH_ShipDate_QB with(array|string $relations)
     * @method _IH_ShipDate_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_ShipDate_C|ShipDate[] all()
     * @mixin _IH_ShipDate_QB
     */
    class ShipDate extends Model {}
}
