<?php //257a2ef9b2e822246557f4c43a2bd199
/** @noinspection all */

namespace Tests\Models {

    use Illuminate\Database\Eloquent\Model;
    use Illuminate\Database\Eloquent\Relations\BelongsTo;
    use Illuminate\Database\Eloquent\Relations\BelongsToMany;
    use Illuminate\Database\Eloquent\Relations\HasMany;
    use Illuminate\Database\Eloquent\Relations\HasOne;
    use Illuminate\Support\Carbon;
    use LaravelIdea\Helper\Tests\Models\_IH_File_C;
    use LaravelIdea\Helper\Tests\Models\_IH_File_QB;
    use LaravelIdea\Helper\Tests\Models\_IH_Image_C;
    use LaravelIdea\Helper\Tests\Models\_IH_Image_QB;
    use LaravelIdea\Helper\Tests\Models\_IH_MultipleImage_C;
    use LaravelIdea\Helper\Tests\Models\_IH_MultipleImage_QB;
    use LaravelIdea\Helper\Tests\Models\_IH_Painter_C;
    use LaravelIdea\Helper\Tests\Models\_IH_Painter_QB;
    use LaravelIdea\Helper\Tests\Models\_IH_Painting_C;
    use LaravelIdea\Helper\Tests\Models\_IH_Painting_QB;
    use LaravelIdea\Helper\Tests\Models\_IH_Profile_C;
    use LaravelIdea\Helper\Tests\Models\_IH_Profile_QB;
    use LaravelIdea\Helper\Tests\Models\_IH_Tag_C;
    use LaravelIdea\Helper\Tests\Models\_IH_Tag_QB;
    use LaravelIdea\Helper\Tests\Models\_IH_Tree_C;
    use LaravelIdea\Helper\Tests\Models\_IH_Tree_QB;
    use LaravelIdea\Helper\Tests\Models\_IH_User_C;
    use LaravelIdea\Helper\Tests\Models\_IH_User_QB;

    /**
     * @property int $id
     * @property string $file1
     * @property string $file2
     * @property string $file3
     * @property string $file4
     * @property string $file5
     * @property string $file6
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @method static _IH_File_QB onWriteConnection()
     * @method _IH_File_QB newQuery()
     * @method static _IH_File_QB on(null|string $connection = null)
     * @method static _IH_File_QB query()
     * @method static _IH_File_QB with(array|string $relations)
     * @method _IH_File_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_File_C|File[] all()
     * @mixin _IH_File_QB
     */
    class File extends Model {}

    /**
     * @property int $id
     * @property string $image1
     * @property string $image2
     * @property string $image3
     * @property string $image4
     * @property string $image5
     * @property string $image6
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @method static _IH_Image_QB onWriteConnection()
     * @method _IH_Image_QB newQuery()
     * @method static _IH_Image_QB on(null|string $connection = null)
     * @method static _IH_Image_QB query()
     * @method static _IH_Image_QB with(array|string $relations)
     * @method _IH_Image_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_Image_C|Image[] all()
     * @mixin _IH_Image_QB
     */
    class Image extends Model {}

    /**
     * @property int $id
     * @property string $pictures
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @method static _IH_MultipleImage_QB onWriteConnection()
     * @method _IH_MultipleImage_QB newQuery()
     * @method static _IH_MultipleImage_QB on(null|string $connection = null)
     * @method static _IH_MultipleImage_QB query()
     * @method static _IH_MultipleImage_QB with(array|string $relations)
     * @method _IH_MultipleImage_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_MultipleImage_C|MultipleImage[] all()
     * @mixin _IH_MultipleImage_QB
     */
    class MultipleImage extends Model {}

    /**
     * @property int $id
     * @property string $username
     * @property string $bio
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property _IH_Painting_C|Painting[] $paintings
     * @property-read int $paintings_count
     * @method HasMany|_IH_Painting_QB paintings()
     * @method static _IH_Painter_QB onWriteConnection()
     * @method _IH_Painter_QB newQuery()
     * @method static _IH_Painter_QB on(null|string $connection = null)
     * @method static _IH_Painter_QB query()
     * @method static _IH_Painter_QB with(array|string $relations)
     * @method _IH_Painter_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_Painter_C|Painter[] all()
     * @mixin _IH_Painter_QB
     */
    class Painter extends Model {}

    /**
     * @property int $id
     * @property string $painter_id
     * @property string $title
     * @property string|null $body
     * @property Carbon $completed_at
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property Painter $painter
     * @method BelongsTo|_IH_Painter_QB painter()
     * @method static _IH_Painting_QB onWriteConnection()
     * @method _IH_Painting_QB newQuery()
     * @method static _IH_Painting_QB on(null|string $connection = null)
     * @method static _IH_Painting_QB query()
     * @method static _IH_Painting_QB with(array|string $relations)
     * @method _IH_Painting_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_Painting_C|Painting[] all()
     * @mixin _IH_Painting_QB
     */
    class Painting extends Model {}

    /**
     * @property int $id
     * @property string $user_id
     * @property string|null $first_name
     * @property string|null $last_name
     * @property string|null $postcode
     * @property string|null $address
     * @property string|null $latitude
     * @property string|null $longitude
     * @property string|null $color
     * @property Carbon|null $start_at
     * @property Carbon|null $end_at
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property User $user
     * @method BelongsTo|_IH_User_QB user()
     * @method static _IH_Profile_QB onWriteConnection()
     * @method _IH_Profile_QB newQuery()
     * @method static _IH_Profile_QB on(null|string $connection = null)
     * @method static _IH_Profile_QB query()
     * @method static _IH_Profile_QB with(array|string $relations)
     * @method _IH_Profile_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_Profile_C|Profile[] all()
     * @mixin _IH_Profile_QB
     */
    class Profile extends Model {}

    /**
     * @property int $id
     * @property string $name
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property _IH_User_C|User[] $users
     * @property-read int $users_count
     * @method BelongsToMany|_IH_User_QB users()
     * @method static _IH_Tag_QB onWriteConnection()
     * @method _IH_Tag_QB newQuery()
     * @method static _IH_Tag_QB on(null|string $connection = null)
     * @method static _IH_Tag_QB query()
     * @method static _IH_Tag_QB with(array|string $relations)
     * @method _IH_Tag_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_Tag_C|Tag[] all()
     * @mixin _IH_Tag_QB
     */
    class Tag extends Model {}

    /**
     * @method static _IH_Tree_QB onWriteConnection()
     * @method _IH_Tree_QB newQuery()
     * @method static _IH_Tree_QB on(null|string $connection = null)
     * @method static _IH_Tree_QB query()
     * @method static _IH_Tree_QB with(array|string $relations)
     * @method _IH_Tree_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_Tree_C|Tree[] all()
     * @mixin _IH_Tree_QB
     */
    class Tree extends Model {}

    /**
     * @property int $id
     * @property string $username
     * @property string $email
     * @property string|null $mobile
     * @property string|null $avatar
     * @property string $password
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property-read string|void $full_name attribute
     * @property-read string|void $position attribute
     * @property Profile $profile
     * @method HasOne|_IH_Profile_QB profile()
     * @property _IH_Tag_C|Tag[] $tags
     * @property-read int $tags_count
     * @method BelongsToMany|_IH_Tag_QB tags()
     * @property Profile $userProfile
     * @method HasOne|_IH_Profile_QB userProfile()
     * @property Profile $user_profile
     * @method HasOne|_IH_Profile_QB user_profile()
     * @method static _IH_User_QB onWriteConnection()
     * @method _IH_User_QB newQuery()
     * @method static _IH_User_QB on(null|string $connection = null)
     * @method static _IH_User_QB query()
     * @method static _IH_User_QB with(array|string $relations)
     * @method _IH_User_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_User_C|User[] all()
     * @mixin _IH_User_QB
     */
    class User extends Model {}
}
