<!doctype html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">

    <title>{{ $data['name'] }} Thank you for your payment</title>
</head>
<style>
    .table {
        border-collapse: collapse
    }

    .table .header th {
        width: 150px;
    }

    .table td, th {
        border: #0a88ff solid 1px;
        text-align: center;
    }


</style>
<body>
<div class="container">

    <div class="row">
        <p>
            Gentile {{ $data['name'] }},
        </p>
        <p>
            Grazie per aver effettuato un ordine con noi. Siamo molto lieti di aver ricevuto il tuo ordine e attualmente
            lo stiamo elaborando.
            <br>
            Il tuo numero d'ordine è {{ $data['local_id'] }} e include i seguenti articoli:
        </p>

        <div class="row">
            <div class="col-6">
                <table class="table">
                    <thead>
                    <tr class="header">
                        <th scope="col">Nome del prodotto</th>
                        <th scope="col">Quantità</th>
                        <th scope="col">Prezzo</th>
                        <th scope="col">Subtotale</th>
                    </tr>
                    </thead>
                    <tbody>
                    @foreach($carts as $cart)
                        <tr>
                            <th scope="row">{{ $cart->jian }}</th>
                            <td>{{ $cart->numbers }}</td>
                            <td>{{ $cart->baseprice }}</td>
                            <td>{{ $cart->singletotal }}</td>
                        </tr>
                    @endforeach
                    </tbody>
                </table>
            </div>
        </div>

        <p>
            Vogliamo assicurarti di avere la migliore esperienza possibile con la nostra azienda, quindi non esitare a
            <a href="mailto:{{ env('MAIL_FROM_ADDRESS') }}">contattarci</a> se hai domande o preoccupazioni riguardo al
            tuo ordine.
            <br>
            Siamo consapevoli che potresti essere ansioso di ricevere il tuo prodotto, e spediremo il tuo ordine il
            prima possibile. Il nostro tempo di consegna attuale è {{ env('LEAD_TIME') }}, e ti forniremo un numero di
            tracciamento una volta che il tuo ordine sarà stato spedito.
            <br>
            Grazie per la tua attenzione, saremo lieti di servirti in futuro.
        </p>

        <p>
            Best regards,
            <br>
            {{ env('APP_URL') }}
        </p>
    </div>

</div>
</body>
</html>
