<!doctype html>
<html lang="ja">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">

    <title>{{ $data['name'] }} お支払いいただきありがとうございます</title>
</head>
<style>
    .table {
        border-collapse: collapse
    }

    .table .header th {
        width: 150px;
    }

    .table td, th {
        border: #0a88ff solid 1px;
        text-align: center;
    }


</style>
<body>
<div class="container">

    <div class="row">
        <p>
            {{ $data['name'] }} 様へ
        </p>
        <p>
            ご注文いただきありがとうございます。お客様の注文を受け付けましたことを大変嬉しく思います。現在、お客様の注文は処理中です。
            <br>
            お客様の注文番号は {{ $data['local_id'] }} で、以下の商品が含まれています：
        </p>

        <div class="row">
            <div class="col-6">
                <table class="table">
                    <thead>
                    <tr class="header">
                        <th scope="col">商品名</th>
                        <th scope="col">数量</th>
                        <th scope="col">価格</th>
                        <th scope="col">小計</th>
                    </tr>
                    </thead>
                    <tbody>
                    @foreach($carts as $cart)
                        <tr>
                            <th scope="row">{{ $cart->jian }}</th>
                            <td>{{ $cart->numbers }}</td>
                            <td>{{ $cart->baseprice }}</td>
                            <td>{{ $cart->singletotal }}</td>
                        </tr>
                    @endforeach
                    </tbody>
                </table>
            </div>
        </div>

        <p>
            弊社をご利用いただき、誠にありがとうございます。ご注文に関するご質問やご心配がございましたら、お気軽に<a
                    href="mailto:{{ env('MAIL_FROM_ADDRESS') }}">お問い合わせ</a>ください。
            <br>
            商品をお受け取りになることを心待ちにしております。現在の配送までの所要時間は {{ env('LEAD_TIME') }} であり、商品の発送後には追跡番号をご提供いたします。
            <br>
            お客様のビジネスを心よりお待ちしております。
        </p>

        <p>
            敬具,
            <br>
            {{ env('APP_URL') }}
        </p>


    </div>

</div>
</body>
</html>
