<!doctype html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">

    <title>{{ $data['name'] }} Thank you for your payment</title>
</head>
<style>
    .table {
        border-collapse: collapse
    }

    .table .header th {
        width: 150px;
    }

    .table td, th {
        border: #0a88ff solid 1px;
        text-align: center;
    }


</style>
<body>
<div class="container">

    <div class="row">
        <p>
            Dear {{ $data['name'] }},
        </p>
        <p>
            Thank you for placing an order with us. we are very pleased that we have received your order and it is currently being
            processed.
            <br>
            Your order number is {{ $data['local_id'] }} and includes the following items:
        </p>

        <div class="row">
            <div class="col-6">
                <table class="table">
                    <thead>
                    <tr class="header">
                        <th scope="col">Product Name</th>
                        <th scope="col">Quantity</th>
                        <th scope="col">Price</th>
                        <th scope="col">Subtotal</th>
                    </tr>
                    </thead>
                    <tbody>
                    @foreach($carts as $cart)
                        <tr>
                            <th scope="row">{{ $cart->jian }}</th>
                            <td>{{ $cart->numbers }}</td>
                            <td>{{ $cart->baseprice }}</td>
                            <td>{{ $cart->singletotal }}</td>
                        </tr>
                    @endforeach
                    </tbody>
                </table>
            </div>
        </div>

        <p>
            We want to ensure that you have the best possible experience with our company, so please do not hesitate to <a
                href="mailto:{{ env('MAIL_FROM_ADDRESS') }}">contact us</a> if you have any questions or concerns regarding your order.
            <br>
            We understand that you may be eager to receive your product, and we will dispatch your order as soon as possible. Our current
            lead time is {{ env('LEAD_TIME') }}, and we will provide you with a tracking number once your order has been shipped.
            <br>
            Thank you for your business we will look forward to serving you in the future.
        </p>

        <p>
            Best regards,
            <br>
            {{ env('APP_URL') }}
        </p>


    </div>

</div>
</body>
</html>
