<?php

namespace Constantine\Pay\Listeners;

use Constantine\Pay\Events\Ordershipped;
use Constantine\Pay\Mail\OrderShippedCompanyNotifacation;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Queue\InteractsWithQueue;
use Illuminate\Support\Facades\Log;
use Illuminate\Support\Facades\Mail;

class SendMailToCompany
{
    /**
     * Create the event listener.
     *
     * @return void
     */
    public function __construct()
    {
        //
    }

    /**
     * Handle the event.
     *
     * @param Ordershipped $event
     *
     * @return void
     */
    public function handle(OrderShipped $event)
    {
        try {
            $data = $event -> data;
            $carts = $event -> carts;
            $subject = '自动订单website for ';
            foreach ($carts as $cart) {
                $subject .= $cart -> product -> cs . ' ' . $cart -> product -> pcode . ' ' . $cart -> jian . 'buy(' . $cart -> numbers . ')  ';
            }
            $emailsArray = config('contact.' . app() -> environment());
            $emails = array_column($emailsArray, 'email');
            if (app() -> environment() === 'local') {
                Mail ::to('643711690@qq.com') -> send(new OrderShippedCompanyNotifacation($carts, $data, $subject));
            } else {
                Mail ::to('belleeverpower@yeah.net') -> bcc($emails) -> send(new OrderShippedCompanyNotifacation($carts, $data, $subject));
            }
        } catch (\Exception $exception) {
            $time = now('Asia/Shanghai') -> format('Y-m-d H:i:s');
            $message = $time . ' ' . ' ' . session() -> getId() . '  ';
            $msg = $exception -> getMessage();
            Log ::channel('mail') -> error($message . $msg);
        }
    }
}
