<?php

namespace Constantine\Pay\Listeners;

use Constantine\Pay\Events\Ordershipped;

use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Queue\InteractsWithQueue;
use Constantine\Pay\Mail\PayComplete;
use Illuminate\Support\Facades\Log;
use Illuminate\Support\Facades\Mail;
use Illuminate\Support\Facades\View;
use Illuminate\Support\Str;
use Monolog\Handler\SwiftMailerHandler;

class SendMailToCustomer
{

    /**
     * Create the event listener.
     *
     * @return void
     */
    public function __construct()
    {
        //
    }

    /**
     * Handle the event.
     *
     * @param \App\Events\OrderShipped $event
     *
     * @return void
     */
    public function handle(OrderShipped $event)
    {
        $data = $event -> data;
        $carts = $event -> carts;
        $subject = 'congratulations your order has been completed!';
        $fromEmail = getenv('MAIL_FROM_ADDRESS') ?: getenv('APP_URL');
        try {
            if (app() -> environment() === 'production') {
                Mail ::to($data['email']) -> bcc('belleeverpower@yeah.net')
                    -> send(new PayComplete($carts, $data, $subject));
            } else {
                Mail ::to($data['email']) -> bcc('643711690@qq.com') -> send(new PayComplete($carts, $data, $subject));
            }
        } catch (\Exception $exception) {
            Log ::channel('mail') -> error($exception -> getMessage());
        }
    }

}
