<?php

namespace Constantine\Pay\Mail;

use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;

class OrderShippedCompanyNotifacation extends Mailable
{
    use Queueable, SerializesModels;

    /**
     * Create a new message instance.
     *
     * @return void
     */
    public $subject;
    public $data;
    public $carts;

    public function __construct($carts, $data, $subject)
    {
        $this->subject = $subject;
        $this->carts = $carts;
        $this->data = $data;
    }

    /**
     * Build the message.
     *
     * @return $this
     */
    public function build()
    {
        return $this->view("pay::mails.paypal.company")->with(['carts' => $this->carts, 'data' => $this->data]);
    }
}
