<?php

namespace Constantine\Pay\Mail;

use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;

class PayComplete extends Mailable
{
    use Queueable, SerializesModels;

    /**
     * Create a new message instance.
     *
     * @return void
     */
    public $carts;
    public $data;
    public $subject;

    public function __construct($carts, $data, $subject)
    {
        $this->carts = $carts;
        $this->data = $data;
        $this->subject = $subject;
    }

    /**
     * Build the message.
     *
     * @return $this
     */
    public function build()
    {
        $country = config('app.locale');

        return $this->view("pay::$country.mails.paypal.customer")->with(['carts' => $this->carts, 'data' => $this->data]);
    }


}
