<?php

namespace Constantine\Pay;

use Illuminate\Support\ServiceProvider;
use Constantine\Pay\Providers\EventServiceProvider;

class PayServiceProvider extends ServiceProvider
{
    /**
     * Bootstrap the application services.
     */
    public function boot()
    {
        /*
         * Optional methods to load your package assets
         */
        // $this->loadTranslationsFrom(__DIR__.'/../resources/lang', 'pay');
         $this->loadViewsFrom(__DIR__.'/../resources/views', 'pay');
        // $this->loadMigrationsFrom(__DIR__.'/../database/migrations');
        // $this->loadRoutesFrom(__DIR__.'/routes.php');

        if ($this -> app -> runningInConsole()) {
            $this -> publishes([
                __DIR__ . '/../config/config.php' => config_path('contact.php'),
            ], 'config');

            // Publishing the views.
            $this -> publishes([
                __DIR__ . '/../resources/views' => resource_path('views/vendor/pay'),
            ], 'views');

            $this -> publishes([
                __DIR__ . '/../resources/assets' => public_path('vendor/assets'),
            ], 'public');
            // Publishing assets.
            /*$this->publishes([
                __DIR__.'/../resources/assets' => public_path('vendor/pay'),
            ], 'assets');*/

            // Publishing the translation files.
            /*$this->publishes([
                __DIR__.'/../resources/lang' => resource_path('lang/vendor/pay'),
            ], 'lang');*/

            // Registering package commands.
            // $this->commands([]);
        }
    }

    /**
     * Register the application services.
     */
    public function register()
    {
        // Automatically apply the package configuration
        $this -> mergeConfigFrom(__DIR__ . '/../config/config.php', 'contact');

        // Register the main class to use with the facade
        $this -> app -> singleton('pay', function () {
            return new Pay;
        });
        $this -> app -> register(EventServiceProvider::class);
    }
}
