<?php

namespace Constantine\Pay\Providers;

use Constantine\Pay\Events\Ordershipped;
use Constantine\Pay\Listeners\SendMailToCompany;
use Constantine\Pay\Listeners\SendMailToCustomer;
use Illuminate\Foundation\Support\Providers\EventServiceProvider as ServiceProvider;


class EventServiceProvider extends ServiceProvider
{
    protected $listen = [
        Ordershipped::class => [
            SendMailToCustomer::class,
            SendMailToCompany::class,
        ]
    ];

    /**
     * Register any events for your application.
     *
     * @return void
     */
    public function boot()
    {
        parent ::boot();
    }
}